#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x70b18b65, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x4d872ea0, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xa928f925, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x921dce74, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xfa157def, "");
SYMBOL_CRC(drm_atomic_state_init, 0x5607156e, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x24245fa3, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xb86117b7, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x59c6cccf, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xd0d09595, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xd8e21475, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x00fa35a1, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x0a11e0ac, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x7c3242cc, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x36b29a45, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xb7c3d852, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x6a358be7, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xeb44c9f0, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x64847693, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x6ed6de81, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x5f82b2e7, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x78edc19b, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xccc9fa38, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x3f7ad9d8, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xd08aa152, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xcdd35639, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x63d0e19b, "");
SYMBOL_CRC(drm_atomic_check_only, 0x2b4ce1eb, "");
SYMBOL_CRC(drm_atomic_commit, 0xa5d413d3, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xafe2d186, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x87a11e5c, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x96867471, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x5163401e, "");
SYMBOL_CRC(drm_state_dump, 0x95210ddf, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x9a2fbb2b, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xec8ec2e8, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xcc3e6d40, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xf5e0a2e1, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x478d93c6, "");
SYMBOL_CRC(drm_is_current_master, 0x77da9384, "");
SYMBOL_CRC(drm_master_get, 0x03dde907, "");
SYMBOL_CRC(drm_file_get_master, 0x207f8469, "");
SYMBOL_CRC(drm_master_put, 0xb06bf840, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xa6ea5cf3, "");
SYMBOL_CRC(drm_master_internal_release, 0x818d5f6c, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x0ec79280, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x1e8e0171, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xed72d6a2, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x6a1c1989, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xf17412fe, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xed68a5ee, "");
SYMBOL_CRC(drm_bridge_add, 0xf5b84e7f, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x1429f1a3, "");
SYMBOL_CRC(drm_bridge_remove, 0xacb5d838, "");
SYMBOL_CRC(drm_bridge_attach, 0x097c0ccb, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x53597d43, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xcd42285d, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x9b2cd461, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x1011c72c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x281272fb, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x79b2eed6, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x44c81e05, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xdeb34100, "");
SYMBOL_CRC(drm_bridge_detect, 0xb80a354f, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x90e67374, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x8bc0f9c3, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x54708856, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x9f670b9f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xff162b11, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xff229481, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x45489d80, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x7a5847a2, "");
SYMBOL_CRC(drm_client_register, 0x004b1c26, "");
SYMBOL_CRC(drm_client_release, 0x9749b9b2, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x36a8480a, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x8f4e58c2, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x6ef674a7, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x0e11124b, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xb6f6f57c, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x45e47851, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x22e8995a, "");
SYMBOL_CRC(drm_client_rotation, 0x78ee596f, "");
SYMBOL_CRC(drm_client_modeset_check, 0x577e98a0, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x20dc8ff8, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xbc2dbfed, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xd904b207, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xe749d3ab, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x09809a36, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xb3261f2e, "");
SYMBOL_CRC(drm_color_lut_check, 0x7a2048b6, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x50a1fd38, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xe4379e61, "");
SYMBOL_CRC(drmm_connector_init, 0x9f751618, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x058ad1f8, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x09ab3095, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xfc9311d5, "");
SYMBOL_CRC(drm_connector_cleanup, 0x8c5f84b5, "");
SYMBOL_CRC(drm_connector_register, 0x59c0f261, "");
SYMBOL_CRC(drm_connector_unregister, 0x6465b8d7, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x67398c97, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x5365478a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x433516a5, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x671633b6, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x03eb55f8, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x548566b7, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x58947db0, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x06554dbc, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xa96ae5e8, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xd3f82667, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x7157bba1, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x9fb91eed, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x46d0051c, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xfb614be9, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x4926eb1b, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x2e224c77, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x1425684c, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x3b7426a6, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x999d302e, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xbc925c89, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x91497c4b, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x431af335, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x5679a045, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x63fd90ad, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x89f1e261, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x54faeb0d, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x8b756dc8, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x50b3b9bc, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xf7c25b63, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x8e281160, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x88794342, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x01a68d13, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x2be6d742, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x0f9e9ec4, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x26e5bd4d, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x509e32a4, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x4d687251, "");
SYMBOL_CRC(drm_crtc_from_index, 0x83bd49fe, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xfc340c74, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xd2e4abaa, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x2dde5971, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x46bdf8e5, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x78917f91, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xf0d45a28, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xe7cc64b5, "");
SYMBOL_CRC(drm_put_dev, 0x0b9bc78c, "");
SYMBOL_CRC(drm_dev_enter, 0x7bb1d445, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xc26ab75c, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x924190fe, "");
SYMBOL_CRC(drm_dev_alloc, 0xe6865df3, "");
SYMBOL_CRC(drm_dev_get, 0x2b434475, "");
SYMBOL_CRC(drm_dev_put, 0x08c2def9, "");
SYMBOL_CRC(drm_dev_register, 0xcdeb383a, "");
SYMBOL_CRC(drm_dev_unregister, 0xf7f6ea44, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xf374037f, "");
SYMBOL_CRC(drm_do_get_edid, 0x08b09959, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x4578b1d2, "");
SYMBOL_CRC(drm_get_edid, 0xb6e98840, "");
SYMBOL_CRC(drm_edid_read_custom, 0xe8dc7d4e, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xa8de348f, "");
SYMBOL_CRC(drm_edid_read, 0x106259e9, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x089f7822, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xef3444d6, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x39c62dae, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x730e3148, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x65733130, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0x18f0884f, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x52145ee7, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xa42358a3, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xf459fd1c, "");
SYMBOL_CRC(drm_add_edid_modes, 0xeebccf8d, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xf59e5ba4, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x20d3d0c3, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x4fb2b26d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x1d3666da, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x347ad127, "");
SYMBOL_CRC(drm_encoder_init, 0x6b19e007, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x7ee55d8f, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x7c66fda6, "");
SYMBOL_CRC(drmm_encoder_init, 0xcbec38d3, "");
SYMBOL_CRC(drm_open, 0x44e10ace, "");
SYMBOL_CRC(drm_release, 0xe3631422, "");
SYMBOL_CRC(drm_release_noglobal, 0xdd4cde69, "");
SYMBOL_CRC(drm_read, 0xfbd931bd, "");
SYMBOL_CRC(drm_poll, 0x51c96b9e, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x29364138, "");
SYMBOL_CRC(drm_event_reserve_init, 0xa51a7954, "");
SYMBOL_CRC(drm_event_cancel_free, 0x223e2115, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x4c4c4273, "");
SYMBOL_CRC(drm_send_event_locked, 0xbeb1a3f3, "");
SYMBOL_CRC(drm_send_event, 0xd1d53463, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x4a0fd781, "");
SYMBOL_CRC(drm_show_fdinfo, 0xfd7cdeea, "");
SYMBOL_CRC(mock_drm_getfile, 0x5422a2d2, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x773ccf70, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x3d703757, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x751942b4, "");
SYMBOL_CRC(drm_framebuffer_init, 0x5440196b, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xa05adb42, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x2902c201, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x8329c21e, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x60a7f135, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0x286e7031, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x0bde26a9, "");
SYMBOL_CRC(drm_gem_object_init, 0x59e0a842, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xbe009829, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x1d236978, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xf2d09a30, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x06df88ed, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xec279882, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xd81db4d9, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x7b2ceb5c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x76e508d7, "");
SYMBOL_CRC(drm_gem_get_pages, 0xe8110f7b, "");
SYMBOL_CRC(drm_gem_put_pages, 0xa66291ad, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x8e95baa3, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xd8438057, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xa28dee06, "");
SYMBOL_CRC(drm_gem_object_release, 0x39aae5a8, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x7ce6f3fb, "");
SYMBOL_CRC(drm_gem_vm_close, 0x9cdd9506, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xf1e5776c, "");
SYMBOL_CRC(drm_gem_mmap, 0xab6a09cf, "");
SYMBOL_CRC(drm_gem_vmap, 0xc6965974, "");
SYMBOL_CRC(drm_gem_vunmap, 0xa59793ea, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0xf3c6774e, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x32e0c35d, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x7c652937, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xcf85e2a6, "");
SYMBOL_CRC(drm_gem_lru_init, 0x6057d2f7, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x71723ac4, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x46d0acdc, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xa9005a4d, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xc7cf12a9, "");
SYMBOL_CRC(drm_gem_evict, 0xb1c41a33, "");
SYMBOL_CRC(drm_noop, 0x227a084f, "");
SYMBOL_CRC(drm_invalid_op, 0xc51a342f, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x39e1b245, "");
SYMBOL_CRC(drm_ioctl, 0xb3f4e381, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x22a95321, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x54bca12f, "");
SYMBOL_CRC(drmm_kmalloc, 0x83a5100a, "");
SYMBOL_CRC(drmm_kstrdup, 0x30bcf7db, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x45706625, "");
SYMBOL_CRC(__drmm_mutex_release, 0x67a733ae, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x2f5ed11f, "");
SYMBOL_CRC(drmm_mode_config_init, 0x03122d3d, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x56c2aee0, "");
SYMBOL_CRC(drm_mode_object_find, 0xd47ce335, "");
SYMBOL_CRC(drm_mode_object_put, 0x57fd7ca6, "");
SYMBOL_CRC(drm_mode_object_get, 0x265432d5, "");
SYMBOL_CRC(drm_object_attach_property, 0x098a4e7f, "");
SYMBOL_CRC(drm_object_property_set_value, 0x94d38b1a, "");
SYMBOL_CRC(drm_object_property_get_value, 0x50c476f7, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x44719698, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xef534efc, "");
SYMBOL_CRC(drm_mode_destroy, 0xd02cfb3d, "");
SYMBOL_CRC(drm_mode_probed_add, 0x51e5c310, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xf6ef5a17, "");
SYMBOL_CRC(drm_cvt_mode, 0x484d9fad, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x49a9d304, "");
SYMBOL_CRC(drm_gtf_mode, 0xa014021c, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x6cbcc12c, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xc00728ef, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x5025290f, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xfa3e3984, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xfa90874f, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x34494913, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x69b66ced, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x3e7b692b, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x97eba924, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x8227c8c7, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x0068ed89, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x6ac25acc, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xeb865d7a, "");
SYMBOL_CRC(drm_modeset_backoff, 0x5865d537, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x462d1a32, "");
SYMBOL_CRC(drm_modeset_lock, 0x25272b15, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x652082a3, "");
SYMBOL_CRC(drm_modeset_unlock, 0xb2d02e41, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x7b8007d1, "");
SYMBOL_CRC(drm_universal_plane_init, 0xe8888c1a, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xcbde3fc3, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xbea10b95, "");
SYMBOL_CRC(drm_plane_cleanup, 0x6891b10b, "");
SYMBOL_CRC(drm_plane_from_index, 0x0eeba454, "");
SYMBOL_CRC(drm_plane_force_disable, 0xa3c0e352, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xb23edf4e, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x40dbbb06, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xea1e5590, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x2eef3bcc, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x10969f5d, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x3ffd15a3, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x3cd25292, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x8cc21507, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xc172548f, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x564a86a8, "");
SYMBOL_CRC(drm_gem_map_attach, 0x4f641ebe, "");
SYMBOL_CRC(drm_gem_map_detach, 0x1ce98789, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xb6cb928b, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x2964917b, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x95d96c88, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x966f8dc7, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xffed0bfc, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xde786776, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xc4bd0b41, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xacc8f1ec, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xb0444c9e, "");
SYMBOL_CRC(drm_gem_prime_import, 0x1c57df64, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x6c6cc07c, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xe279e2a2, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x0434cf73, "");
SYMBOL_CRC(__drm_dev_dbg, 0x56c8f5f4, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x8d32aa3b, "");
SYMBOL_CRC(drm_property_create, 0xaf3548c4, "");
SYMBOL_CRC(drm_property_create_enum, 0x89f08638, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xdd0bb5d1, "");
SYMBOL_CRC(drm_property_create_range, 0x5ff50f38, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x35379cea, "");
SYMBOL_CRC(drm_property_create_object, 0x6ef01183, "");
SYMBOL_CRC(drm_property_create_bool, 0xfc357a57, "");
SYMBOL_CRC(drm_property_add_enum, 0xb8c2166b, "");
SYMBOL_CRC(drm_property_destroy, 0xae7bd6ce, "");
SYMBOL_CRC(drm_property_create_blob, 0x28179d07, "");
SYMBOL_CRC(drm_property_blob_put, 0x02bac43c, "");
SYMBOL_CRC(drm_property_blob_get, 0x1b5f840f, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xfc843890, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x424c1327, "");
SYMBOL_CRC(drm_property_replace_blob, 0x3e020be3, "");
SYMBOL_CRC(drm_syncobj_find, 0x791891c3, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x60b26fc5, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x367060c4, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x3e9cd3ed, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xa06e6a13, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x43f7b5d4, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xa511f3ed, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xa377310a, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xd542ed7b, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x678e1516, "");
SYMBOL_CRC(drm_class_device_register, 0xdca069d6, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x10102710, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xd55447ba, "");
SYMBOL_CRC(drm_vblank_init, 0x316b5f5e, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x41afd728, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x5800a725, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x61524528, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x8082d3e0, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x92744703, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xa3f89d2c, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xe37c11ac, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x8353fb69, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xcd6838e1, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x1bf64c2a, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x6caf9b2c, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x865a486b, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x6604f837, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x855616a4, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xaf2ecb10, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x6ccbab77, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x3935de77, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x10b076fd, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x249dd38b, "");
SYMBOL_CRC(drm_handle_vblank, 0x6d036628, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x32dfdcb8, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x4389b55c, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x5862b632, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xd34d7fa8, "");
SYMBOL_CRC(drm_vblank_work_init, 0x0438778c, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x6689cb55, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xae5a2b59, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xbea1e421, "");
SYMBOL_CRC(drm_vma_offset_add, 0x0a1b2eb5, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xb29cd39a, "");
SYMBOL_CRC(drm_vma_node_allow, 0xd0985040, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x68f209f8, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xb9f76fb3, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x988f1543, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0x03b22f8e, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0x713be4f7, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x37bdb1f1, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xb236bbaf, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x188b1e3b, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x6873caaa, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x1b1bcac3, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xe9867e24, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x76fbe9ff, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xdf6627b7, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0xa539d38e, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x0498bad2, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x9e8b3848, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xd9f3eca7, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0xe1b3bd45, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x1419f7b8, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x52fc4fac, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0x993a380c, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0xdc939048, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x3d91cdfe, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x445ee3df, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0x183d70cf, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x9e9d4888, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xf7bbaeb5, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x85d07977, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xc5347968, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x65981e40, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x7b68ee6a, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x7a26838b, "");
SYMBOL_CRC(drm_panel_init, 0x845085c1, "");
SYMBOL_CRC(drm_panel_add, 0x62ab8be7, "");
SYMBOL_CRC(drm_panel_remove, 0x0d673c23, "");
SYMBOL_CRC(drm_panel_prepare, 0x9fe1d97d, "");
SYMBOL_CRC(drm_panel_unprepare, 0x05a8bf4f, "");
SYMBOL_CRC(drm_panel_enable, 0xfad5c9c1, "");
SYMBOL_CRC(drm_panel_disable, 0x6fd0abe7, "");
SYMBOL_CRC(drm_panel_get_modes, 0x6c1d7412, "");
SYMBOL_CRC(drm_is_panel_follower, 0xc8c8a1ba, "");
SYMBOL_CRC(drm_panel_add_follower, 0xe75513d2, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x130f35d9, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xc1e62a50, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x2a4642fe, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xf1094051, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xde6c0cb1, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x84464f62, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xabe19329, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xf446cf8e, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x68f0c8ae, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0x03de60e0, "");
SYMBOL_CRC(drm_privacy_screen_put, 0x4b696b5f, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0x1776895b, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0x5b6e506d, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0xfbecd1ae, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0x47a76122, "");
SYMBOL_CRC(drm_privacy_screen_register, 0xd71fb6cf, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0x1220bbe2, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0x70d308bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xdf14e90d, "anon_inode_getfile" },
	{ 0x5f34d356, "ww_mutex_lock_interruptible" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc05d8d17, "alloc_anon_inode" },
	{ 0xcc7bec4d, "show_class_attr_string" },
	{ 0x187fb491, "kthread_cancel_work_sync" },
	{ 0xccde0fbb, "is_acpi_device_node" },
	{ 0x50635a7b, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd25af74e, "kthread_flush_work" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x7344405a, "idr_find" },
	{ 0xdadd50fc, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfcc978b5, "shmem_read_folio_gfp" },
	{ 0x9cb1e4d1, "__folio_batch_release" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x321412d6, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x9bddf91d, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xe0f3c7eb, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0xb847d702, "kthread_flush_worker" },
	{ 0x53df7429, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7daac64e, "request_firmware" },
	{ 0xae63bd, "class_destroy" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x44673280, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x492c5687, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x334a69a3, "fd_install" },
	{ 0xcebb21f4, "dma_fence_chain_ops" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb1960ffc, "component_del" },
	{ 0x95b109bb, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa98283a, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xce63c925, "iput" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x863d9939, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x81e70b4e, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xa6918488, "dma_fence_add_callback" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0xd95428f, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xeabb2a8b, "blocking_notifier_chain_register" },
	{ 0xf215120d, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x10f6a2f6, "dma_buf_map_attachment_unlocked" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xfbc0796, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x74c7bffa, "stack_trace_snprint" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x48f58e7c, "dma_resv_reset_max_fences" },
	{ 0x922abc69, "ww_mutex_trylock" },
	{ 0x227cfbb9, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x843f04ac, "blocking_notifier_call_chain" },
	{ 0xa7ac5d9f, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x860715f, "dma_max_mapping_size" },
	{ 0x845a3abe, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x8a5fc645, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x31c4fed3, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc624b289, "debug_check_no_locks_freed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23137f5, "dma_fence_remove_callback" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xd4ddabe0, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5b7a631e, "atomic_dec_and_mutex_lock" },
	{ 0x7dd33334, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf47ee26, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xfb1391ce, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7274df2f, "__task_pid_nr_ns" },
	{ 0xe57c4fb8, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2c4827c4, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xd1426a9b, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0x11c120ac, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x51782b62, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7d6a34db, "sysfs_remove_link" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8d669d3c, "pid_task" },
	{ 0xe73835ec, "vga_switcheroo_lock_ddc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeb2afb1e, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xbce29344, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0xc2b0aff4, "dma_fence_signal" },
	{ 0x335ef2e0, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x7c3fdc69, "dma_resv_fini" },
	{ 0xc09ec37d, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd44f15f7, "dma_buf_get" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x2a6b5685, "aperture_remove_conflicting_pci_devices" },
	{ 0xf1305c15, "ww_mutex_lock" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbb13f0da, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xd7268fca, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x3e48fa6b, "dma_fence_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x12e48e17, "device_register" },
	{ 0x61120c17, "device_del" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0xe91ceb4d, "sg_alloc_table_from_pages_segment" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x3eb1c8d8, "unregister_acpi_bus_type" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x64a69029, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6bd1aa56, "stack_trace_save" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xb1be19a4, "devm_aperture_acquire_for_platform_device" },
	{ 0xf4eb1dd, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4681e56d, "check_move_unevictable_folios" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0x38e2b980, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x14fb66d5, "blocking_notifier_chain_unregister" },
	{ 0x913ebd32, "stack_depot_save" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xe5fd6363, "dma_map_sgtable" },
	{ 0x2ebfd02e, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xb2d880b6, "__dma_fence_unwrap_merge" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3eb4ded3, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1e47ba3d, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x8058b5ae, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x28b362cd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf8acf54e, "__srcu_read_unlock" },
	{ 0x51a0bc1, "stack_depot_fetch" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8bf3845b, "i2c_transfer" },
	{ 0xd9461169, "dma_fence_allocate_private_stub" },
	{ 0xa7e7cd1d, "dma_buf_detach" },
	{ 0xe6119936, "dma_fence_signal_timestamp" },
	{ 0x3df9a7d3, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x32a15412, "seq_puts" },
	{ 0xf12b9d8e, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x6f70d53a, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x61aabc68, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x73f6ec17, "simple_release_fs" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0x327a52b2, "kill_anon_super" },
	{ 0x885d4c02, "from_kuid_munged" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x269cf975, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0xd89bedc8, "component_add" },
	{ 0x320940dc, "dma_resv_test_signaled" },
	{ 0xde76dfbd, "srcu_check_nmi_safety" },
	{ 0x3b3c4a00, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc07504e8, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x8e7b66c1, "dma_fence_chain_find_seqno" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x83e23510, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x9db744db, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf8fedff0, "put_pid" },
	{ 0x10d9f317, "stack_depot_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe9443ae7, "__dev_fwnode" },
	{ 0xceed23a0, "pci_bus_type" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x7d869f0c, "class_remove_file_ns" },
	{ 0x1981c29, "simple_pin_fs" },
	{ 0xd96adae1, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "backlight,i2c-core");


MODULE_INFO(srcversion, "04038F326F9674483FE5680");
