#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xcb053cc7, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x7e3f2689, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x87b6c324, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xf4cc6a80, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x9f586abd, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x8129d0d1, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xaf32ffed, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xc0ff68f0, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0xe86f75a2, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x80210ec1, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0xfc139d4b, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x16b445b9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8c2ce181, "i2c_verify_client" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x27be5f19, "seq_printf" },
	{ 0x70c679a1, "fwnode_property_present" },
	{ 0x40e8fe55, "fwnode_graph_get_port_parent" },
	{ 0x3b3c4a00, "fwnode_handle_put" },
	{ 0x2e400dba, "fwnode_handle_get" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x525dd54e, "fwnode_graph_get_remote_endpoint" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb19e0aea, "v4l2_device_unregister_subdev" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x231b3aa2, "v4l2_subdev_put_privacy_led" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe9443ae7, "__dev_fwnode" },
	{ 0xf703232c, "v4l2_device_register_subdev" },
	{ 0xef02902d, "media_create_ancillary_link" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x863d9939, "seq_lseek" },
	{ 0x38e2b980, "seq_read" },
	{ 0xf12b9d8e, "single_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "i2c-core,videodev,mc");


MODULE_INFO(srcversion, "3A9911965CB71D4EC415E2F");
