#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x2128bcee, "");
SYMBOL_CRC(vnic_dev_get_res, 0x07af29f3, "");
SYMBOL_CRC(vnic_dev_unregister, 0x92c38650, "");
SYMBOL_CRC(vnic_dev_register, 0x9ec91717, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xaa83b446, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xb38e7fa7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb08b4706, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbfb73606, "pci_find_ext_capability" },
	{ 0x5bd3cb06, "skb_copy_bits" },
	{ 0xd0a014d6, "skb_put" },
	{ 0x5010426a, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4e269ee5, "pci_enable_device_mem" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0xfd556e17, "pci_iomap" },
	{ 0x60b1b1c5, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8c6830df, "unregister_netdev" },
	{ 0x6a02edc8, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x701c6678, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8fb4761, "pci_disable_msi" },
	{ 0xe2c3760d, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x4dc9f559, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x358f5f81, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfc7d9794, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xc839ba17, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4d9fc0d0, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0xed27bb4, "dev_addr_mod" },
	{ 0x8bb7b2d5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x24a91977, "dma_map_page_attrs" },
	{ 0xcb2053db, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd73efeef, "pci_enable_msix_range" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xb83c4c36, "__hw_addr_unsync_dev" },
	{ 0x7d324066, "napi_gro_receive" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x63fac2ba, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x51ab1fe4, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0xfc7a021f, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdf281d44, "netif_set_real_num_tx_queues" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xc990046c, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x14bdf3e7, "dev_close" },
	{ 0x37fc58c8, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0xcf62484e, "napi_enable" },
	{ 0x97fa15fb, "netif_receive_skb" },
	{ 0xd342850f, "nla_put" },
	{ 0x80432fd4, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5c9be6fc, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb23b668, "ethtool_op_get_link" },
	{ 0x3d5fc155, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x20f2631, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x25e9d1ee, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe35c51f1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd718db62, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x4adc9133, "rps_may_expire_flow" },
	{ 0xa0993ae, "dma_free_attrs" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdb0834aa, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77497f5, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17c93ea0, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9a16e4d0, "__hw_addr_sync_dev" },
	{ 0x762418d0, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x5dc35638, "netif_carrier_on" },
	{ 0x80aa298c, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b00bec1, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd8e0abe2, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf6ed9c3d, "__skb_flow_dissect" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x14ba46fa, "__napi_schedule_irqoff" },
	{ 0xe74e3b4a, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x4bd9ed2f, "napi_disable" },
	{ 0xe3d76edb, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xf0d71717, "pci_enable_sriov" },
	{ 0x7b3a191b, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x466b9ff5, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B12ED1452E1B95BE00B106B");
