#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x68540be1, "");
SYMBOL_CRC(ppp_register_channel, 0x237aaafd, "");
SYMBOL_CRC(ppp_unregister_channel, 0xbb15e859, "");
SYMBOL_CRC(ppp_channel_index, 0x73a0cd18, "");
SYMBOL_CRC(ppp_unit_number, 0x17b3ec6c, "");
SYMBOL_CRC(ppp_dev_name, 0xbde4bf98, "");
SYMBOL_CRC(ppp_input, 0xd7e581f3, "");
SYMBOL_CRC(ppp_input_error, 0x1836acdf, "");
SYMBOL_CRC(ppp_output_wakeup, 0x68f3f352, "");
SYMBOL_CRC(ppp_register_compressor, 0xaf498fa1, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x6c7d8404, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x122c3a7e, "_printk" },
	{ 0x25056119, "register_pernet_device" },
	{ 0x1e47ba3d, "__register_chrdev" },
	{ 0xc09ec37d, "class_create" },
	{ 0xb63cf750, "rtnl_link_register" },
	{ 0xe81594d7, "device_create" },
	{ 0x8b93ce00, "unregister_pernet_device" },
	{ 0xae63bd, "class_destroy" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe048c2e2, "rtnl_link_unregister" },
	{ 0x5d305b42, "device_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37326af0, "skb_queue_tail" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x9c3c6fec, "skb_scrub_packet" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8333cafe, "skb_dequeue" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd482f8ab, "iov_iter_init" },
	{ 0xe1935fca, "skb_copy_datagram_iter" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x7344405a, "idr_find" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x413484e8, "netdev_name_in_use" },
	{ 0x8556aa4b, "register_netdevice" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xdc23b270, "fget" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x11c120ac, "fput" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x93228d66, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64ae23db, "__put_net" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x68e254e2, "netdev_printk" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0xe35c51f1, "__netdev_alloc_skb" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xd21cccf3, "down_write" },
	{ 0x606d8142, "up_write" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9a637191, "alloc_netdev_mqs" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0x20f2631, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x74a76053, "down_read" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x83049c67, "skb_push" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x5bd3cb06, "skb_copy_bits" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x1625f61a, "pskb_expand_head" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9b62d51a, "skb_trim" },
	{ 0x3d699c84, "skb_pull_rcsum" },
	{ 0xa2cc5919, "netif_rx" },
	{ 0xafd154f3, "skb_dump" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x522bd9ef, "skb_queue_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7dd33334, "module_put" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4d9fc0d0, "netdev_err" },
	{ 0x2a928918, "slhc_free" },
	{ 0x803e2798, "skb_queue_purge_reason" },
	{ 0xc92534dc, "bpf_prog_destroy" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5c9be6fc, "free_netdev" },
	{ 0x401e74ca, "__alloc_skb" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0xd0a014d6, "skb_put" },
	{ 0xa3270778, "skb_pull" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x23700c44, "unregister_netdevice_queue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x966b1a7b, "ns_capable" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3acaa7a5, "bpf_prog_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7027d60e, "try_module_get" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "7A6EA02E459C92B0BB77841");
