#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xca9c08ed, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xc0bb11fc, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x9269130a, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xfc11b5fa, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x959c9a1f, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xd84945be, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x11ee32dc, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xdce5fdf7, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x60f7e4fc, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x1be9aae4, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x61218d26, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x9f3161b4, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x4e5619b2, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x30460db7, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xfff4e842, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xa73d87c0, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd99690d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x38df8ef5, "iscsi_dbg_trace" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x83e23510, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x11cd0da, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xb83c5f1e, "iscsi_itt_to_ctask" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd9402570, "iscsi_get_task" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xee17768e, "iscsi_update_cmdsn" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa073c093, "iscsi_put_task" },
	{ 0x60566a4e, "iscsi_requeue_task" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83c67289, "iscsi_prep_data_out_pdu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x979ad23d, "iscsi_conn_failure" },
	{ 0xab3e63a5, "iscsi_conn_setup" },
	{ 0x1f04e868, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbe13079b, "iscsi_complete_pdu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x831b769d, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd97611a2, "crypto_ahash_final" },
	{ 0xc1fbee20, "skb_prepare_seq_read" },
	{ 0x15249f07, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9c0343c, "skb_abort_seq_read" },
	{ 0x4a0c53da, "iscsi_verify_itt" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b158c12, "__iscsi_complete_pdu" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x6f108965, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
