#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xbdef049e, "");
SYMBOL_CRC(fc_host_post_event, 0xacef68e3, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xeb655a89, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x1198654a, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x78319db8, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x1e3f9428, "");
SYMBOL_CRC(fc_eh_timed_out, 0xb6b1ab27, "");
SYMBOL_CRC(fc_attach_transport, 0x98c5b6a3, "");
SYMBOL_CRC(fc_release_transport, 0x2f3b5aec, "");
SYMBOL_CRC(fc_remove_host, 0xd44e585d, "");
SYMBOL_CRC(fc_remote_port_add, 0x832b93a1, "");
SYMBOL_CRC(fc_remote_port_delete, 0xf2b6d17c, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xa0f0a3eb, "");
SYMBOL_CRC(fc_block_rport, 0x46628784, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x44e00893, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x50cf946f, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x4cf84f42, "");
SYMBOL_CRC(fc_vport_terminate, 0x84a7941c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf8164107, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xac949b34, "transport_class_register" },
	{ 0xea41eca5, "transport_class_unregister" },
	{ 0x7361075e, "scsi_nl_sock" },
	{ 0x401e74ca, "__alloc_skb" },
	{ 0x558912ed, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x278fffc4, "netlink_broadcast" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x74a5b566, "scsi_host_get" },
	{ 0x492c5687, "device_initialize" },
	{ 0x89b4969b, "get_device" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x4733b28d, "transport_setup_device" },
	{ 0x51782b62, "device_add" },
	{ 0xc8bee32e, "transport_add_device" },
	{ 0xa7651fc5, "transport_configure_device" },
	{ 0x3e0c9d98, "bsg_setup_queue" },
	{ 0x42178968, "__scsi_init_queue" },
	{ 0x9e39b484, "blk_queue_rq_timeout" },
	{ 0xb9982612, "scsi_queue_work" },
	{ 0x4090d3d8, "transport_destroy_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb77d783f, "scsi_host_put" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3c3d5222, "attribute_container_unregister" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7d6a34db, "sysfs_remove_link" },
	{ 0x2e8b1556, "transport_remove_device" },
	{ 0x61120c17, "device_del" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83e23510, "_dev_printk" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x43682870, "attribute_container_register" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf47ee26, "sysfs_create_link" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x42733c3e, "scsi_flush_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2e55282c, "scsi_is_host_device" },
	{ 0xc42eb327, "bsg_remove_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcc3ab90f, "scsi_target_unblock" },
	{ 0xc3219f86, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda32e87e, "scsi_is_target_device" },
	{ 0x7dd97a35, "scsi_block_targets" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x7d5893dc, "blk_mq_run_hw_queues" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87099f6c, "bsg_job_done" },
	{ 0x1023b81b, "bsg_job_get" },
	{ 0xcfe9c02, "blk_mq_end_request" },
	{ 0xcd5e9505, "bsg_job_put" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x845a3abe, "put_device" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");
