#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47d26e89, "ceph_con_keepalive" },
	{ 0xf6aac806, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x9f0d863d, "folio_invalidate" },
	{ 0x336871e9, "ceph_auth_get_authorizer" },
	{ 0xb8a04cf5, "__page_file_index" },
	{ 0x8340d2ad, "generic_copy_file_range" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x894e54d0, "filemap_fdatawrite" },
	{ 0xa1c37509, "generic_fillattr" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3b3e5167, "vfs_fsync_range" },
	{ 0x27ddbeef, "setattr_prepare" },
	{ 0x38ac5d03, "ceph_print_client_options" },
	{ 0x3266f04a, "simple_attr_write" },
	{ 0x4ecfb7bc, "file_check_and_advance_wb_err" },
	{ 0x3fe04714, "ceph_msg_get" },
	{ 0xa1661abb, "filemap_get_folios_tag" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x9aa07979, "d_instantiate" },
	{ 0x318fbd20, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa3767e6e, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x915c25c3, "clear_inode" },
	{ 0xb5e82dac, "ceph_create_client" },
	{ 0xe945dd5e, "__fscache_acquire_volume" },
	{ 0x44483111, "fscache_dirty_folio" },
	{ 0x884a3527, "vfs_inode_has_locks" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x99ba633c, "osd_req_op_extent_osd_data" },
	{ 0x1e83e856, "__percpu_counter_init_many" },
	{ 0xa326e69b, "discard_new_inode" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd32b7b37, "fs_param_is_string" },
	{ 0x9cb1e4d1, "__folio_batch_release" },
	{ 0x1b2d7ed1, "folio_unlock" },
	{ 0xb31b6f47, "__fscache_resize_cookie" },
	{ 0x336a19cf, "inode_insert5" },
	{ 0x3f30e45b, "ceph_monc_want_map" },
	{ 0x9ec568dd, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc4b6547b, "__fscache_begin_read_operation" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0xa7ec4ab3, "ceph_con_open" },
	{ 0xafc06a4d, "forget_all_cached_acls" },
	{ 0x6becc444, "init_special_inode" },
	{ 0x2a097c9b, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa837b973, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x71068760, "task_active_pid_ns" },
	{ 0xc3e325ca, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x91e721ac, "ceph_osdc_put_request" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x5997d17d, "iov_iter_advance" },
	{ 0x437c2158, "d_make_root" },
	{ 0x21ef3722, "d_same_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x44c20c0b, "read_cache_folio" },
	{ 0x7dd7aa23, "invalidate_mapping_pages" },
	{ 0x4d472682, "sync_filesystem" },
	{ 0x2034ff3c, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x1ff3c7f6, "ceph_parse_param" },
	{ 0xb2d00051, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x6b7c069a, "percpu_counter_destroy_many" },
	{ 0xe18eb6d0, "sget_fc" },
	{ 0xa511f980, "d_splice_alias" },
	{ 0xf1613730, "generic_error_remove_page" },
	{ 0xd7a73bad, "iov_iter_get_pages2" },
	{ 0x3beba1bd, "current_time" },
	{ 0xcc1be506, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82690ebb, "ihold" },
	{ 0x53c77381, "d_find_any_alias" },
	{ 0xaeb38c80, "inode_dio_wait" },
	{ 0x6d58a9cf, "generic_permission" },
	{ 0x77d621e2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf34b90de, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x9299c0cf, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd65748bb, "finish_open" },
	{ 0xce63c925, "iput" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x863d9939, "seq_lseek" },
	{ 0xa89535dd, "fs_param_is_enum" },
	{ 0x5bc3a9e4, "fs_param_is_s32" },
	{ 0xe7e615d3, "wrap_directory_iterator" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x896b88b4, "logfc" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x8496a80c, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x80961a70, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9303976c, "do_splice_direct" },
	{ 0xe8ecb248, "d_lookup" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x5813b694, "__fscache_relinquish_cookie" },
	{ 0x8d0255c4, "ceph_msg_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x52007471, "register_filesystem" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x9237c78c, "ceph_auth_invalidate_authorizer" },
	{ 0x93ac0d48, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x37c0136a, "ceph_monc_got_map" },
	{ 0x33c9b691, "osd_req_op_extent_dup_last" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xf59a5e7a, "ceph_osdc_alloc_messages" },
	{ 0xa193907e, "clear_page_dirty_for_io" },
	{ 0x3cea0799, "ceph_msg_data_add_pagelist" },
	{ 0xc232217d, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xddcfc8cf, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xaf89c88f, "shrink_dcache_parent" },
	{ 0xb80b6d35, "__put_cred" },
	{ 0x4b3d0237, "d_prune_aliases" },
	{ 0xbd6fe348, "ceph_reset_client_addr" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x8da00ce2, "locks_lock_inode_wait" },
	{ 0x7ea8f638, "fs_param_is_u32" },
	{ 0x1de52bf9, "inode_newsize_ok" },
	{ 0xbad6c616, "d_drop" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0xe759b556, "ceph_msg_new2" },
	{ 0xc12ca3cc, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb707b887, "mempool_create" },
	{ 0xc996d6f5, "ceph_release_page_vector" },
	{ 0x819862c, "posix_acl_from_xattr" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc310250d, "filemap_alloc_folio" },
	{ 0x34a2205c, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0xed4f5ec6, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x600782d1, "ceph_auth_verify_authorizer_reply" },
	{ 0x10ec9549, "make_kuid" },
	{ 0xc8568ffd, "truncate_inode_pages_final" },
	{ 0x16fcb433, "d_alloc" },
	{ 0x41e14720, "__filemap_set_wb_err" },
	{ 0xe833b76b, "generic_perform_write" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x9e03ced8, "simple_nosetlease" },
	{ 0x22394afb, "__free_pages" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0xd4ddabe0, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x32b54974, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2a64fa7d, "ceph_osdc_wait_request" },
	{ 0x19f420a3, "inode_init_once" },
	{ 0x64c0837a, "folio_wait_private_2" },
	{ 0x91c0844a, "file_write_and_wait_range" },
	{ 0x6d403074, "ceph_osdc_new_request" },
	{ 0x670edc88, "compat_ptr_ioctl" },
	{ 0xf0e4fd4a, "copy_splice_read" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x60363248, "__fscache_relinquish_volume" },
	{ 0xee5c6414, "ilookup5" },
	{ 0x92fc0c50, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x7274df2f, "__task_pid_nr_ns" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9c35b0e4, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ff2c810, "posix_acl_create" },
	{ 0x56db5cd6, "release_pages" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xcbeb3ef1, "generic_file_read_iter" },
	{ 0xcdc7a85, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2be271dd, "set_cached_acl" },
	{ 0x8e08bf0a, "simple_attr_release" },
	{ 0xf1ba64d, "ceph_auth_handle_svc_reply_more" },
	{ 0xc2217b7d, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa2b5a0e7, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x542ff414, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x6ca02487, "wait_on_page_writeback" },
	{ 0x8500b26e, "ceph_pg_pool_flags" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1d516bb8, "file_update_time" },
	{ 0xc0cd8985, "set_nlink" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x16b4dbe9, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x50453532, "ceph_auth_add_authorizer_challenge" },
	{ 0x2dc85692, "d_move" },
	{ 0x7346a21, "seq_putc" },
	{ 0x911220de, "from_kgid" },
	{ 0x6e328b54, "ceph_con_send" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4899ef, "ceph_osdc_abort_requests" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x577d5bb5, "ceph_zero_page_vector_range" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4119877f, "param_set_bool" },
	{ 0xd466c220, "iov_iter_kvec" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x8806aeee, "file_remove_privs" },
	{ 0xde500e28, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7b361601, "ceph_compare_options" },
	{ 0xf5f401d0, "d_obtain_alias" },
	{ 0xe8b77250, "file_modified" },
	{ 0xb6f964e8, "posix_acl_chmod" },
	{ 0xd77f3524, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd13bf5, "ceph_parse_mon_ips" },
	{ 0x68804d1c, "ceph_client_addr" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x9dd695ad, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0xea9df3ec, "wait_for_completion_killable" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x4413098d, "finish_no_open" },
	{ 0x2b30a7dc, "d_obtain_root" },
	{ 0xaac5552b, "ceph_put_page_vector" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6099c073, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8d89d716, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9ea2cdea, "osd_req_op_init" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x669e5b23, "ceph_osdc_update_epoch_barrier" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xf0062055, "osd_req_op_extent_osd_iter" },
	{ 0x26514e23, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xf36f2136, "ceph_object_locator_to_pg" },
	{ 0xcf2cd607, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x71d5836d, "__ceph_auth_get_authorizer" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x99647e16, "d_delete" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xed69f7d5, "simple_attr_read" },
	{ 0x4fd7dfe0, "end_page_writeback" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb7e4d74, "osd_req_op_extent_osd_data_pages" },
	{ 0xd81a17c8, "__fscache_write_to_cache" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x598ae655, "iov_iter_get_pages_alloc2" },
	{ 0xa0ee8751, "ceph_osdc_sync" },
	{ 0x4373a8b, "set_page_dirty" },
	{ 0xd9bd6f70, "copy_page_from_iter" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0xcd43f32c, "ceph_destroy_client" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x38e2b980, "seq_read" },
	{ 0x7c6e1f46, "redirty_page_for_writepage" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc71e1880, "noop_direct_IO" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x3d11e573, "igrab" },
	{ 0x846938d4, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0340ab4, "__ceph_open_session" },
	{ 0xb4ef2535, "set_page_writeback" },
	{ 0x33041aa4, "d_add" },
	{ 0xce28b16b, "rename_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x69640770, "__percpu_counter_sum" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x3ba723bd, "wait_for_completion_killable_timeout" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xa4ace6fc, "d_find_alias" },
	{ 0x8521a2af, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0x29851797, "inode_set_ctime_current" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x234109d1, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x833af44c, "__folio_put" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0xaf73e48a, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xc5eff950, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xec7f16b9, "ceph_monc_do_statfs" },
	{ 0x636fb6e6, "dput" },
	{ 0xe0060c97, "ceph_monc_validate_auth" },
	{ 0x84dbfa4b, "iov_iter_zero" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x718c855a, "generic_delete_inode" },
	{ 0xc0435adc, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe0a0d080, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x64f6b07, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x45bb9b32, "set_page_dirty_lock" },
	{ 0x168729a7, "tag_pages_for_writeback" },
	{ 0x6d28b564, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x354b523f, "posix_acl_update_mode" },
	{ 0xb8a27f51, "ceph_auth_handle_bad_authorizer" },
	{ 0x92609fa2, "ceph_monc_renew_subs" },
	{ 0x18d9303d, "truncate_inode_pages_range" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x8d3058bc, "__folio_lock" },
	{ 0x3fed65e7, "pagecache_get_page" },
	{ 0x356f2de6, "ceph_msg_put" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3728e7d6, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x32a15412, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xd6a4f4af, "__fscache_use_cookie" },
	{ 0x77a15fe2, "rcuwait_wake_up" },
	{ 0xf12b9d8e, "single_release" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x6b683995, "rcu_read_lock_any_held" },
	{ 0xb58e0771, "iov_iter_xarray" },
	{ 0xcb0cdcd4, "__fs_parse" },
	{ 0x69139782, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63b7dc7e, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x176cd9ba, "dget_parent" },
	{ 0x327a52b2, "kill_anon_super" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xec034749, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x298a5bd1, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc1d5f061, "osd_req_op_raw_data_in_pages" },
	{ 0x952298ab, "netfs_subreq_terminated" },
	{ 0x86e8c016, "ceph_con_init" },
	{ 0x6a76d34, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x82317084, "kmem_cache_alloc_lru" },
	{ 0x2e1180fb, "filemap_fault" },
	{ 0xc85c3e42, "d_invalidate" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0x8ec3e903, "__mark_inode_dirty" },
	{ 0x59552a31, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x60734ebc, "lockref_get_not_dead" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x44b339bb, "ceph_osdc_clear_abort_err" },
	{ 0x38ac2108, "iov_iter_npages" },
	{ 0x270ecbd5, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0xb145e7b0, "__fscache_acquire_cookie" },
	{ 0x2c944a7a, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xaba22be, "forget_cached_acl" },
	{ 0xcbe3cb5b, "osd_req_op_xattr_init" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "libceph,fscache,netfs");


MODULE_INFO(srcversion, "8914ACC67365CD70ED5E42A");
