#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x25cb155e, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xecbe6444, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x36889c3b, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xb6fac4bb, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xc2c25498, "");
SYMBOL_CRC(fuse_abort_conn, 0x8ebd29bc, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xee9501de, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x2ced150d, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x336a1fa2, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xec874e04, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x12eaf85f, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x83f2d1ea, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x624ad64c, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xafa68a05, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x4f11f637, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x00b235d5, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xb5b3f50b, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xc2091892, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xf5a32684, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x8114f846, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x80c36010, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x12a2c498, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x8ccbdb41, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xfb02b74a, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x3ec01d14, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x8d094c56, "");
SYMBOL_CRC(fuse_do_ioctl, 0x043cad37, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x33c66986, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6aac806, "super_setup_bdi_name" },
	{ 0xc034dbf5, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x229d9abb, "truncate_inode_pages" },
	{ 0x8340d2ad, "generic_copy_file_range" },
	{ 0x275b58ac, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd8cd0001, "pipe_lock" },
	{ 0xa1c37509, "generic_fillattr" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3b3e5167, "vfs_fsync_range" },
	{ 0x27ddbeef, "setattr_prepare" },
	{ 0x37048eb0, "clear_nlink" },
	{ 0x4ecfb7bc, "file_check_and_advance_wb_err" },
	{ 0xce2f9c2a, "d_alloc_parallel" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x9aa07979, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x74643ba4, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xaa0cb475, "make_vfsgid" },
	{ 0x915c25c3, "clear_inode" },
	{ 0xec0760c4, "inode_to_bdi" },
	{ 0x566bde8, "find_pid_ns" },
	{ 0xbca530, "grab_cache_page_write_begin" },
	{ 0x396266f2, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x36dec419, "pipe_unlock" },
	{ 0xd32b7b37, "fs_param_is_string" },
	{ 0x1b2d7ed1, "folio_unlock" },
	{ 0x9ec568dd, "new_inode" },
	{ 0x414adf46, "filemap_map_pages" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0xafc06a4d, "forget_all_cached_acls" },
	{ 0x6becc444, "init_special_inode" },
	{ 0x2a097c9b, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x71068760, "task_active_pid_ns" },
	{ 0xaa559a5e, "iov_iter_single_seg_count" },
	{ 0x6d03acd8, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x8828155b, "filemap_fdatawrite_range" },
	{ 0x53df7429, "finish_wait" },
	{ 0x22bc42b5, "d_alloc_name" },
	{ 0x41f1b49b, "replace_page_cache_folio" },
	{ 0xe255f243, "inode_query_iversion" },
	{ 0x5997d17d, "iov_iter_advance" },
	{ 0x5cf3c702, "kill_fasync" },
	{ 0x437c2158, "d_make_root" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2bd0c862, "sb_set_blocksize" },
	{ 0xdc23b270, "fget" },
	{ 0xa8321838, "simple_fill_super" },
	{ 0x64d8168c, "xas_find" },
	{ 0x4d472682, "sync_filesystem" },
	{ 0xb4ddc96c, "noop_dirty_folio" },
	{ 0xe18eb6d0, "sget_fc" },
	{ 0x285c5019, "param_set_uint" },
	{ 0xa511f980, "d_splice_alias" },
	{ 0xd7a73bad, "iov_iter_get_pages2" },
	{ 0xb24119f, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcdb1d894, "page_get_link" },
	{ 0x6d58a9cf, "generic_permission" },
	{ 0x77d621e2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf34b90de, "invalidate_inode_pages2_range" },
	{ 0xaa98283a, "dump_mm" },
	{ 0x9299c0cf, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd65748bb, "finish_open" },
	{ 0xa836d4eb, "dax_iomap_rw" },
	{ 0xce63c925, "iput" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x896b88b4, "logfc" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x80961a70, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xe2e109d6, "init_pid_ns" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xee0bf49c, "dax_iomap_fault" },
	{ 0xd482f8ab, "iov_iter_init" },
	{ 0xe8ecb248, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x1e7ffe3a, "sysfs_create_mount_point" },
	{ 0xdb6a85ca, "generic_file_write_iter" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x52007471, "register_filesystem" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x9a2a6a70, "folio_add_lru" },
	{ 0x93ac0d48, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9257976d, "sync_inode_metadata" },
	{ 0x2169fe6d, "simple_empty" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xaa3e9e66, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaf89c88f, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x361202d6, "get_tree_nodev" },
	{ 0xc5e18f5a, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8da00ce2, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x7ea8f638, "fs_param_is_u32" },
	{ 0x1de52bf9, "inode_newsize_ok" },
	{ 0xbad6c616, "d_drop" },
	{ 0x22d1301d, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc12ca3cc, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe026c462, "bdi_put" },
	{ 0x819862c, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xc688fc3c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x10ec9549, "make_kuid" },
	{ 0xc8568ffd, "truncate_inode_pages_final" },
	{ 0x66a2a2a3, "fs_kobj" },
	{ 0x41e14720, "__filemap_set_wb_err" },
	{ 0xe65a841a, "simple_dir_operations" },
	{ 0xb52877e6, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x22394afb, "__free_pages" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x8ea32d54, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x5e614d, "setattr_should_drop_suidgid" },
	{ 0x4f84c60, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x92a5f69, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x914baced, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x19f420a3, "inode_init_once" },
	{ 0x91c0844a, "file_write_and_wait_range" },
	{ 0x670edc88, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x463563bd, "nosteal_pipe_buf_ops" },
	{ 0xee5c6414, "ilookup5" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24ca4fc6, "inode_nohighmem" },
	{ 0x56db5cd6, "release_pages" },
	{ 0xd494d6c8, "generic_file_direct_write" },
	{ 0x11c120ac, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xcbeb3ef1, "generic_file_read_iter" },
	{ 0x7477abb, "inode_maybe_inc_iversion" },
	{ 0xcdc7a85, "unlock_page" },
	{ 0x1da5b0ea, "inc_node_page_state" },
	{ 0x49e667, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2b5a0e7, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb32cef3b, "put_fs_context" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x68ded978, "dec_node_page_state" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1ea1c36b, "write_cache_pages" },
	{ 0x1d516bb8, "file_update_time" },
	{ 0xc0cd8985, "set_nlink" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x911220de, "from_kgid" },
	{ 0xec30d835, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8806aeee, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4733c4c1, "write_inode_now" },
	{ 0xf5ff50db, "dax_writeback_mapping_range" },
	{ 0xf5f401d0, "d_obtain_alias" },
	{ 0xe8b77250, "file_modified" },
	{ 0xd77f3524, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x4413098d, "finish_no_open" },
	{ 0xadc1099, "__folio_start_writeback" },
	{ 0x61249f01, "kill_litter_super" },
	{ 0xed3de27c, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6099c073, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3d41d3f8, "current_in_userns" },
	{ 0x25a2ad3c, "fc_mount" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xfad26689, "sysfs_remove_mount_point" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x73216950, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xcf2cd607, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x99647e16, "d_delete" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x60ddade1, "from_kgid_munged" },
	{ 0x4fd7dfe0, "end_page_writeback" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x5b0f490e, "kobject_create_and_add" },
	{ 0x74a76053, "down_read" },
	{ 0xc12080f1, "wb_writeout_inc" },
	{ 0xc0d30b67, "down_write_nested" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2765a3b6, "nonseekable_open" },
	{ 0x93fda90f, "dax_finish_sync_fault" },
	{ 0x4373a8b, "set_page_dirty" },
	{ 0xd9bd6f70, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7c6e1f46, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc71e1880, "noop_direct_IO" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x3d11e573, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeb9f8f81, "generic_read_dir" },
	{ 0x33041aa4, "d_add" },
	{ 0xb4ef2535, "set_page_writeback" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0xa4ace6fc, "d_find_alias" },
	{ 0x8521a2af, "invalidate_inode_pages2" },
	{ 0xff202e1a, "alloc_pages" },
	{ 0x29851797, "inode_set_ctime_current" },
	{ 0xfec5eff0, "inc_nlink" },
	{ 0x833af44c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeebf3cfe, "get_tree_bdev" },
	{ 0xc5eff950, "set_anon_super_fc" },
	{ 0x27be5f19, "seq_printf" },
	{ 0x636fb6e6, "dput" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x718c855a, "generic_delete_inode" },
	{ 0xc0435adc, "deactivate_locked_super" },
	{ 0xca56b542, "touch_atime" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe0a0d080, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x35b750fa, "__d_lookup_unhash_wake" },
	{ 0x45bb9b32, "set_page_dirty_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6a7a543c, "pid_nr_ns" },
	{ 0x46102a26, "generic_file_open" },
	{ 0x18d9303d, "truncate_inode_pages_range" },
	{ 0x2e2aa67f, "__put_user_ns" },
	{ 0x8d3058bc, "__folio_lock" },
	{ 0x61280b5b, "filemap_dirty_folio" },
	{ 0x3fed65e7, "pagecache_get_page" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x32a15412, "seq_puts" },
	{ 0xec8a2376, "stream_open" },
	{ 0x77a15fe2, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x3a1956d5, "__wake_up_sync" },
	{ 0x6b683995, "rcu_read_lock_any_held" },
	{ 0x45f7fc39, "add_to_pipe" },
	{ 0xcb0cdcd4, "__fs_parse" },
	{ 0xb7ee5d08, "dax_layout_busy_page_range" },
	{ 0x69139782, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63b7dc7e, "posix_acl_to_xattr" },
	{ 0x176cd9ba, "dget_parent" },
	{ 0x327a52b2, "kill_anon_super" },
	{ 0x885d4c02, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xec034749, "iget5_locked" },
	{ 0x2cf65e34, "security_dentry_init_security" },
	{ 0x298a5bd1, "filemap_write_and_wait_range" },
	{ 0x97ca179a, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x6a76d34, "generic_write_checks" },
	{ 0xe9ef6f67, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3c3be4a2, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x50351dde, "mntget" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x82317084, "kmem_cache_alloc_lru" },
	{ 0x2e1180fb, "filemap_fault" },
	{ 0xc85c3e42, "d_invalidate" },
	{ 0x8ec3e903, "__mark_inode_dirty" },
	{ 0x59552a31, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x38ac2108, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x270ecbd5, "drop_nlink" },
	{ 0x75737be2, "fault_in_iov_iter_readable" },
	{ 0x346e2b66, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa1f53064, "bdi_set_max_ratio" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0x4b685411, "kobject_put" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B8972FFA3DF088F99B3E74");
