#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xcf694b2b, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x2445a756, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x70622521, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xbb99fc4f, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x2c7da759, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x86cd2bb6, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x12deb57e, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xac5bcc4a, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x426568f1, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xe6dcd64c, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x747e9349, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x3535f7c8, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xf6a3c94c, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xb45dd022, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xd6edf7a3, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x9ba20dd5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x5ddcaa4c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x3d4ae339, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xc9dfa1ed, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xf63049bb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x60c5e750, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x65a85ebc, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x5f61c15b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xe180d81e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xdeac1907, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x385e4651, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x72fec853, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xa1471c01, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x6b02cb31, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xcdeddb3d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xc426cd18, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xd51b7d33, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x8fb0f520, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xd8016ccd, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x7c016615, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7436c2fd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x53beda63, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x4f117ee6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x75cbdd61, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xf924b34a, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6e6b3066, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x958e7476, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x8c74b701, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x1d9f08a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xa3776141, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x6362489a, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1e1e48f0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x5b3ea2d8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x616174b7, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xac73cb7b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xf98b08e1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x5f8bb47c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x02dfc5e8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xdd1baac1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xd067cf24, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x27d601ab, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa7df7b44, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xf0b45d77, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xc3eda21f, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xdeb1477b, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xd1a8ed15, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x588c7580, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x9a7aa486, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xdf7e4438, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x2d81bbf6, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xe0a0e043, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xa0dcce62, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x11c77687, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x1955b888, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xd8a03531, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x3d865f8a, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x11688210, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xf34ff941, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x70f14fe8, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xc9e96f91, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xcb291148, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x945df902, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xbf29f899, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x991a622c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x7614ce79, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x8629d812, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xb586021d, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x2a21dab1, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x11eef7fc, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xa76feabd, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xd586d334, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5be709a4, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xcd180bb5, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x8bcb7bd2, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x59865ac8, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x21130baa, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x07f3495d, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x01a347fb, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x7f4255b5, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x01e5d646, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xb9287543, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xd17e03ca, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x6232acdf, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xaf19d7e8, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xe9eaab2b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x5a3ee07c, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe81153ac, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xa718966d, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x7d332762, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x1047d07c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2994702e, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8340d2ad, "generic_copy_file_range" },
	{ 0xd4314407, "svc_generic_rpcbind_set" },
	{ 0xb845aaa6, "nfs_clone_server" },
	{ 0x677744fa, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x894e54d0, "filemap_fdatawrite" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc333a55a, "nfs_show_stats" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xb1b4aa04, "nfs_server_remove_lists" },
	{ 0x2056bd8c, "nfs42_ssc_unregister" },
	{ 0x611acb56, "generic_listxattr" },
	{ 0x7027d60e, "try_module_get" },
	{ 0x90a760b0, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf68c1b38, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x915c25c3, "clear_inode" },
	{ 0xec0760c4, "inode_to_bdi" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0x7799b713, "user_destroy" },
	{ 0x7344405a, "idr_find" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x8fa578a8, "user_revoke" },
	{ 0x7fb14e71, "d_exact_alias" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3e4621dc, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xe79f5511, "list_lru_del" },
	{ 0x6ea994ec, "nfs_mark_client_ready" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1e70e4c, "rpc_clnt_probe_trunked_xprts" },
	{ 0xce898675, "nfs_pageio_reset_read_mds" },
	{ 0x7c49769f, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x60cc2c4d, "rpc_shutdown_client" },
	{ 0xafd2a6fd, "svc_bind" },
	{ 0x3264efd0, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xffbf28e2, "nfs_free_inode" },
	{ 0x1f32deba, "nfs_access_zap_cache" },
	{ 0x8cd92b32, "nfs_sb_deactive" },
	{ 0x75f0d7ac, "nfs_wb_all" },
	{ 0x363d5c4, "__break_lease" },
	{ 0x2471437d, "nfs_pageio_init_write" },
	{ 0xd414b133, "svc_recv" },
	{ 0x8553b7ff, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x89523ce0, "xdr_inline_decode" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0xc9323df4, "nfs_pageio_init_read" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x39f5c2b3, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x653d4102, "nfs_init_commit" },
	{ 0xf2d42391, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1b4d0ad2, "bpf_trace_run6" },
	{ 0xdb136479, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x61a60cb9, "rpc_net_ns" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x6efbf83f, "nfs_mknod" },
	{ 0x4941db8e, "nfs_inode_attach_open_context" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2e89728b, "nfs4_label_alloc" },
	{ 0x3c62f55f, "rpc_localaddr" },
	{ 0x1570da64, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0xa3d5a973, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0xd3af1d4a, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0xba6fc685, "unregister_key_type" },
	{ 0x8f86a342, "nfs_client_init_is_complete" },
	{ 0x2ee4a46f, "nfs_file_splice_read" },
	{ 0xe161e72, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa511f980, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x82690ebb, "ihold" },
	{ 0x77d621e2, "truncate_pagecache_range" },
	{ 0x95c288ae, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xf34b90de, "invalidate_inode_pages2_range" },
	{ 0x3d4e4970, "nfs_post_op_update_inode" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6d51e1d6, "svc_exit_thread" },
	{ 0xce63c925, "iput" },
	{ 0x22eefb3e, "xdr_set_pagelen" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xf9179304, "nfs_pgio_header_free" },
	{ 0xda322ae8, "nfs_request_add_commit_list_locked" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x896b88b4, "logfc" },
	{ 0x25b67070, "nfs_pgio_header_alloc" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x80961a70, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x1c7872d3, "rpc_pton" },
	{ 0x65fc4df, "nfs_sb_active" },
	{ 0xd3296e84, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xb3cbe749, "rpc_wake_up_queued_task" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd1763ad2, "xdr_stream_zero" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3346452, "rpc_restart_call_prepare" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4074bba0, "_copy_from_pages" },
	{ 0x7f2744de, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x46addbdd, "rpc_task_release_transport" },
	{ 0xf8b727df, "xdr_page_pos" },
	{ 0x8ed827e7, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x8b5d1445, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x848372d0, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xc10fa179, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x168a36b5, "register_key_type" },
	{ 0x90a0cd44, "rpc_sleep_on" },
	{ 0x17d9c5e8, "rpc_run_task" },
	{ 0xbec39ad8, "nfs_pageio_resend" },
	{ 0x5b15219e, "keyring_alloc" },
	{ 0xaa3e9e66, "vfs_setpos" },
	{ 0xf74f1d18, "nfs_create" },
	{ 0xa5c0ceb6, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80b6d35, "__put_cred" },
	{ 0xa4cb299e, "swapcache_mapping" },
	{ 0x59199dfe, "nfs_statfs" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x8c583c4d, "rpc_max_bc_payload" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xd04b492e, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8da00ce2, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xea1e08ab, "nfs_mkdir" },
	{ 0x2506f2e4, "nfs_revalidate_inode" },
	{ 0x1de52bf9, "inode_newsize_ok" },
	{ 0xb3f1c01a, "nfs_file_mmap" },
	{ 0x416a23e2, "nfs_get_lock_context" },
	{ 0xbad6c616, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x756170fa, "nfs_set_cache_invalid" },
	{ 0xc3650e89, "rpc_release_client" },
	{ 0x6c68588c, "rpc_clnt_manage_trunked_xprts" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7622166e, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7b90efb, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xc67ea662, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xce30e003, "nfs_generic_pgio" },
	{ 0x10ec9549, "make_kuid" },
	{ 0xc8568ffd, "truncate_inode_pages_final" },
	{ 0x11b8cdac, "generic_setlease" },
	{ 0xfd25344d, "xprt_destroy_backchannel" },
	{ 0x7792003c, "rpc_switch_client_transport" },
	{ 0x1a88494a, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x923156e9, "nfs_scan_commit_list" },
	{ 0x92779a0d, "xdr_stream_decode_string_dup" },
	{ 0xe73e94f0, "nfs_commit_inode" },
	{ 0xbfc3be4e, "locks_init_lock" },
	{ 0xd7b277ed, "unregister_shrinker" },
	{ 0x5724dd67, "rpc_destroy_pipe_data" },
	{ 0x36ad2672, "nfs_get_client" },
	{ 0x22394afb, "__free_pages" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x85b016b8, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x27bdfdea, "nfs_atomic_open" },
	{ 0xb823db7a, "rpc_pipe_generic_upcall" },
	{ 0x597b5d01, "nfs_file_fsync" },
	{ 0x7dd33334, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x6ba10cfd, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc126fa0a, "nfs_put_lock_context" },
	{ 0x7d5c7dbc, "nfs_rename" },
	{ 0x77a8deea, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9902e5, "nfs_sysfs_link_rpc_client" },
	{ 0xbe36d5d8, "nfs_put_client" },
	{ 0x9a98d1c7, "nfs_show_options" },
	{ 0xfcaf1f59, "dns_query" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x187bce4b, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x2721287, "mount_subtree" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e6eae1f, "get_nfs_open_context" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xdf195c2e, "nfs_clear_verifier_delegated" },
	{ 0xe206ba15, "nfs_sysfs_add_server" },
	{ 0x11c120ac, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0x680ed2e5, "rpc_machine_cred" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x5dd6ed2b, "nfs_do_submount" },
	{ 0x7e8ec35f, "vfs_dup_fs_context" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x5bebb9f4, "request_key_with_auxdata" },
	{ 0x34ee05c5, "rpc_clone_client_set_auth" },
	{ 0xdfa2420a, "rpc_clone_client" },
	{ 0xdf50129e, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x6b27d221, "nfs_client_init_status" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xd433431, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbce29344, "radix_tree_preloads" },
	{ 0xfd8ed6c3, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb32cef3b, "put_fs_context" },
	{ 0xef46e377, "nfs_retry_commit" },
	{ 0x1b2d8fa7, "nfs4_dentry_operations" },
	{ 0x72771d42, "__module_put_and_kthread_exit" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x556c79f9, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x559cdc39, "nfs_client_for_each_server" },
	{ 0x5f2bd7cd, "nfs_clear_inode" },
	{ 0xcf65f44e, "rpc_sleep_on_priority" },
	{ 0xd4e6770, "nfs_invalidate_atime" },
	{ 0xa5bc9f5b, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x60b66557, "nfs_umount_begin" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xba94f647, "nfs_getattr" },
	{ 0x682a12b5, "nfs_pageio_reset_write_mds" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0xf53d1e6, "nfs_generic_pg_test" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x23d8601, "xdr_stream_subsegment" },
	{ 0x9d5d9d4b, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xbc4d515c, "nfs_fscache_open_file" },
	{ 0x911220de, "from_kgid" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6cff4c08, "nfs_write_inode" },
	{ 0x7e40bc14, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0xd53eec05, "rpc_wake_up_first" },
	{ 0xf9001e3, "alloc_nfs_open_context" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8ac131b4, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe79ea2cb, "nfs_path" },
	{ 0x3951212f, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4219e29e, "nfs_create_rpc_client" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc096985a, "register_nfs_version" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x8bb8cd70, "rpc_sleep_on_timeout" },
	{ 0xb0ae2a01, "list_lru_count_one" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xc9889edf, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdee791e2, "rpc_call_start" },
	{ 0x264485b7, "xprt_setup_backchannel" },
	{ 0xe8c86f81, "bpf_trace_run1" },
	{ 0x92ca19f9, "svc_create" },
	{ 0x21a26b4e, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xa5ef1b9e, "nfs_file_set_open_context" },
	{ 0xf4c2b032, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x8a14f266, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6099c073, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x58e8ca6d, "rpc_put_task_async" },
	{ 0x130b2546, "rpc_prepare_reply_pages" },
	{ 0xbf267fe2, "rpc_queue_upcall" },
	{ 0x7df0676e, "nfs_free_server" },
	{ 0x25a2ad3c, "fc_mount" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4991b6c7, "register_sysctl_sz" },
	{ 0x1ea401, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9693ba6, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9346a230, "nfs4_fs_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xca915b32, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xa5adf28b, "rpc_delay" },
	{ 0x3d2307cb, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xacd7a196, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x483a4673, "svc_generic_init_request" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x351f5ad8, "key_validate" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x8bd71b9a, "rpc_exit" },
	{ 0xcf2cd607, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf32ffc4d, "rpc_remove_pipe_dir_object" },
	{ 0xa69fa045, "nfs_may_open" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x60ddade1, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x7f0d796d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xf493c3fe, "xdr_reserve_space" },
	{ 0xc0d30b67, "down_write_nested" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xdf190c1e, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x12ca5732, "nfs_rmdir" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0xe3be02e4, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x69d13319, "nfs_filemap_write_and_wait_range" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x34eae598, "rpc_mkpipe_dentry" },
	{ 0x4be06c19, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x782cd594, "rpc_mkpipe_data" },
	{ 0x966905ec, "rpc_add_pipe_dir_object" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x3d11e573, "igrab" },
	{ 0x38706485, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf1f1c958, "nfs_async_iocounter_wait" },
	{ 0xfc0cccad, "nfs_file_read" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xb3eb8bc7, "nfs_alloc_fattr_with_label" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x5f0a46ff, "filemap_fdatawait_range" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0x2345073d, "nfs_commitdata_alloc" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xab14e77c, "nfs_setattr_update_inode" },
	{ 0x83defb52, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0x9e9e38f4, "rpc_uaddr2sockaddr" },
	{ 0x3d135ee6, "user_read" },
	{ 0xe5f474e, "rpc_restart_call" },
	{ 0xc7c11e95, "request_key_tag" },
	{ 0x888b0d4e, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xff202e1a, "alloc_pages" },
	{ 0x31f4bc4b, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1d107217, "svc_xprt_destroy_all" },
	{ 0x16557a3c, "generic_key_instantiate" },
	{ 0xfec5eff0, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x6e34bbf2, "nfs_link" },
	{ 0x833af44c, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xecacf203, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x4bccb25c, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x636fb6e6, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0x352c21e6, "rpc_init_wait_queue" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x7b26c370, "xdr_stream_move_subsegment" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x5f2d1912, "put_rpccred" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xa3a60d45, "nfs_post_op_update_inode_force_wcc" },
	{ 0x327a6d18, "nfs_pgheader_init" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x8e81e687, "put_nfs_open_context" },
	{ 0x4b78d5db, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5097635e, "nfs_show_devname" },
	{ 0x943c14ee, "nfs_permission" },
	{ 0xfafc4d5b, "nfs_initiate_commit" },
	{ 0x18d9303d, "truncate_inode_pages_range" },
	{ 0x2e2aa67f, "__put_user_ns" },
	{ 0xb165ba02, "cred_fscmp" },
	{ 0x2d8c0a0, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf29ebebd, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x80915059, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x8f854d97, "node_data" },
	{ 0x7f727971, "nfs_probe_server" },
	{ 0xdecfe13c, "nfs_setsecurity" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xfcbef267, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xe7dc6be4, "rpc_clnt_test_and_add_xprt" },
	{ 0x308b3088, "file_ra_state_init" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaef3b726, "nfs_force_lookup_revalidate" },
	{ 0x93850a3b, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa31987f2, "rpc_clnt_add_xprt" },
	{ 0x176cd9ba, "dget_parent" },
	{ 0x885d4c02, "from_kuid_munged" },
	{ 0x6e9c286f, "prepare_kernel_cred" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xfc521eb3, "nfs_alloc_server" },
	{ 0xd2b1dcf8, "rpc_call_async" },
	{ 0x2cf65e34, "security_dentry_init_security" },
	{ 0x298a5bd1, "filemap_write_and_wait_range" },
	{ 0xf93f5e8c, "nfs_server_insert_lists" },
	{ 0xe50496ea, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xad97f3b1, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb2b9cc9e, "rpc_init_pipe_dir_object" },
	{ 0x92de34b, "bpf_trace_run7" },
	{ 0xce13c376, "nfs_refresh_inode" },
	{ 0xa04f7db6, "refcount_dec_and_lock" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x8c37b33b, "nfs_init_server_rpcclient" },
	{ 0x8ec3e903, "__mark_inode_dirty" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe5669ff9, "rpc_set_connect_timeout" },
	{ 0xb8d68322, "rpcauth_create" },
	{ 0x1304138d, "list_lru_add" },
	{ 0x171016d4, "xdr_stream_pos" },
	{ 0x6d40c89e, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x85f58dde, "svc_xprt_create" },
	{ 0x6a66b4e5, "nfs42_ssc_register" },
	{ 0x3365240f, "rpc_wait_for_completion_task" },
	{ 0x270ecbd5, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad6cbc90, "rpc_num_bc_slots" },
	{ 0xb5f1f053, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71526ea4, "rpc_destroy_wait_queue" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x6169dd5b, "security_inode_listsecurity" },
	{ 0x11c60dff, "nfs_fhget" },
	{ 0xd7385e2f, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x351c2cbd, "locks_copy_lock" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xfcd5832e, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa4739673, "nfs_set_verifier" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs");


MODULE_INFO(srcversion, "1098C7B8DE538EEF739785C");
