#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x520bbf82, "dquot_commit" },
	{ 0x229d9abb, "truncate_inode_pages" },
	{ 0xe0a3653b, "bh_uptodate_or_lock" },
	{ 0x5745d04a, "inode_init_owner" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x27ddbeef, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x37048eb0, "clear_nlink" },
	{ 0x890bb0aa, "generic_block_bmap" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x9aa07979, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xaa0cb475, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x915c25c3, "clear_inode" },
	{ 0x60602e25, "dquot_set_dqinfo" },
	{ 0x72f02726, "dquot_commit_info" },
	{ 0xbca530, "grab_cache_page_write_begin" },
	{ 0x25635d53, "dquot_disable" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x27786769, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd5580f25, "dquot_free_inode" },
	{ 0x1b2d7ed1, "folio_unlock" },
	{ 0x36b1fe24, "set_blocksize" },
	{ 0x73d15fd4, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9ec568dd, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0xe4b4f6b0, "dquot_get_state" },
	{ 0x6becc444, "init_special_inode" },
	{ 0x2a097c9b, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd541dc6e, "mark_buffer_dirty" },
	{ 0x5333ab0c, "__find_get_block" },
	{ 0xce7f7203, "__block_write_begin" },
	{ 0x38597633, "inode_set_flags" },
	{ 0x53df7429, "finish_wait" },
	{ 0x64baac63, "__blockdev_direct_IO" },
	{ 0x437c2158, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0xf1789691, "__bforget" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2bd0c862, "sb_set_blocksize" },
	{ 0xc61e8712, "write_dirty_buffer" },
	{ 0x4d472682, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa511f980, "d_splice_alias" },
	{ 0x3beba1bd, "current_time" },
	{ 0x76b4ccd9, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82690ebb, "ihold" },
	{ 0xcdb1d894, "page_get_link" },
	{ 0xaeb38c80, "inode_dio_wait" },
	{ 0x6d58a9cf, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfa54beef, "read_cache_page" },
	{ 0xce63c925, "iput" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x80961a70, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xe2bc0407, "filemap_release_folio" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x5a865b23, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xdb6a85ca, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x52007471, "register_filesystem" },
	{ 0x695f943, "dquot_transfer" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x5378fae2, "dquot_drop" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0x9c7f0fad, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5689ba78, "make_vfsuid" },
	{ 0x9dac7bc9, "inode_get_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc52f102a, "inode_set_bytes" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1de52bf9, "inode_newsize_ok" },
	{ 0x22d1301d, "kill_block_super" },
	{ 0x323c3a39, "mnt_want_write_file" },
	{ 0xc12ca3cc, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x88e4dead, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe38946c3, "generic_cont_expand_simple" },
	{ 0x45242c96, "try_to_free_buffers" },
	{ 0x10ec9549, "make_kuid" },
	{ 0x51b83dca, "create_empty_buffers" },
	{ 0xc8568ffd, "truncate_inode_pages_final" },
	{ 0xb52877e6, "generic_file_mmap" },
	{ 0x70166f00, "sync_mapping_buffers" },
	{ 0xd0e25a59, "dquot_initialize" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaf23d569, "dquot_quota_on" },
	{ 0x9d31b0a, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x82742c, "xattr_full_name" },
	{ 0x5286c604, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xdb35d3f2, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe32aa5fc, "mnt_drop_write_file" },
	{ 0x5b7a631e, "atomic_dec_and_mutex_lock" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x19f420a3, "inode_init_once" },
	{ 0x91c0844a, "file_write_and_wait_range" },
	{ 0x7afee07f, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x92fc0c50, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x63444e10, "dquot_set_dqblk" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba77f0d0, "__brelse" },
	{ 0x8ff2c810, "posix_acl_create" },
	{ 0x24ca4fc6, "inode_nohighmem" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x22e2335f, "shrink_dcache_sb" },
	{ 0x606d8142, "up_write" },
	{ 0xcbeb3ef1, "generic_file_read_iter" },
	{ 0xcdc7a85, "unlock_page" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2be271dd, "set_cached_acl" },
	{ 0x2af093a1, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xaacc1313, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2caae8da, "__bh_read_batch" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x4702eb6f, "dquot_resume" },
	{ 0x1b2a76e0, "setattr_copy" },
	{ 0x7f138c2a, "proc_mkdir_data" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x58c40477, "__wait_on_buffer" },
	{ 0xc0cd8985, "set_nlink" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x8fdf517d, "security_inode_init_security" },
	{ 0x7346a21, "seq_putc" },
	{ 0xc701cc96, "blkdev_get_by_path" },
	{ 0x911220de, "from_kgid" },
	{ 0xdfaea6cb, "__sync_dirty_buffer" },
	{ 0x6ff1e263, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5f401d0, "d_obtain_alias" },
	{ 0xb6f964e8, "posix_acl_chmod" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xb95d511f, "__bread_gfp" },
	{ 0xe275b55e, "block_dirty_folio" },
	{ 0xe2140fab, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x543fa1ee, "proc_mkdir" },
	{ 0x6099c073, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6c154070, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xcf2cd607, "make_kgid" },
	{ 0x99647e16, "d_delete" },
	{ 0x4fd7dfe0, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xca7f30a6, "truncate_setsize" },
	{ 0xc0d30b67, "down_write_nested" },
	{ 0x6da84bcf, "insert_inode_locked4" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x689082f8, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf21cdfe2, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7c6e1f46, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe868b22d, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x6afff18f, "unlock_buffer" },
	{ 0x3d11e573, "igrab" },
	{ 0x924bfc21, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xeb9f8f81, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2af7cd2f, "d_instantiate_new" },
	{ 0xd907d4d4, "__dquot_free_space" },
	{ 0xb4ef2535, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6962a737, "mount_bdev" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x6f7db5e7, "mpage_readahead" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0x919ddfb4, "simple_rename_timestamp" },
	{ 0x29851797, "inode_set_ctime_current" },
	{ 0xfec5eff0, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x833af44c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x96cc1c4f, "remove_proc_entry" },
	{ 0xc2280f73, "dquot_quota_off" },
	{ 0x27be5f19, "seq_printf" },
	{ 0x636fb6e6, "dput" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1dcf4288, "__lock_buffer" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x354b523f, "posix_acl_update_mode" },
	{ 0x8d3058bc, "__folio_lock" },
	{ 0x9fa14cea, "dquot_quota_on_mount" },
	{ 0x61280b5b, "filemap_dirty_folio" },
	{ 0x3fed65e7, "pagecache_get_page" },
	{ 0xfab19249, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x92fbee5f, "is_bad_inode" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x32a15412, "seq_puts" },
	{ 0xd07ee027, "dquot_mark_dquot_dirty" },
	{ 0x67103645, "dquot_get_next_id" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xd613ace0, "dquot_file_open" },
	{ 0x69139782, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x7494880e, "proc_create_single_data" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xec034749, "iget5_locked" },
	{ 0xde261fe1, "d_set_d_op" },
	{ 0x45bb9348, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x82317084, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcb2a1ce5, "dquot_writeback_dquots" },
	{ 0x8ec3e903, "__mark_inode_dirty" },
	{ 0x59552a31, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x1ff0f29c, "make_bad_inode" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x270ecbd5, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x52c54f6a, "dquot_destroy" },
	{ 0x46c3d1b7, "dquot_alloc" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "360F883A163B53400C6550E");
