#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x26db4a78, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xb266c904, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xd8acc616, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2ae6cb54, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x0f181aa4, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x54311fb2, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xd146b749, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x13c2fc37, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x403ec547, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x76b08931, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x324d7ba1, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x2a3062c9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcb7c11cd, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe048c2e2, "rtnl_link_unregister" },
	{ 0xd342850f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xd3ab8438, "__get_hash_from_flowi6" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb17f07a5, "gro_cells_init" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5bd3cb06, "skb_copy_bits" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x23700c44, "unregister_netdevice_queue" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x9a637191, "alloc_netdev_mqs" },
	{ 0x80432fd4, "register_netdev" },
	{ 0xe914e41e, "strcpy" },
	{ 0x93a3d75a, "init_net" },
	{ 0x5c9be6fc, "free_netdev" },
	{ 0x8556aa4b, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2863ab83, "netdev_state_change" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x966b1a7b, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9c3c6fec, "skb_scrub_packet" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd9e1f6e4, "gro_cells_receive" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x8bb7b2d5, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x50c333e2, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x10ec9549, "make_kuid" },
	{ 0x54789132, "ip6_redirect" },
	{ 0x3a951d56, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1c501927, "skb_clone" },
	{ 0xa3270778, "skb_pull" },
	{ 0xf7e17cf8, "icmp6_send" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x666034a9, "__xfrm_policy_check" },
	{ 0xe4560470, "__iptunnel_pull_header" },
	{ 0xfdc05d69, "metadata_dst_alloc" },
	{ 0x1f737bf3, "ip_route_input_noref" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe321bc, "ip_route_output_flow" },
	{ 0xc1ae60bc, "__icmp_send" },
	{ 0xaf8593d2, "ip6_mtu" },
	{ 0x27c97df9, "ipv4_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x495a71b3, "dst_cache_get" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3d551bb9, "skb_realloc_headroom" },
	{ 0xc94e6f1e, "skb_set_owner_w" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xda63b3f3, "ipv6_push_frag_opts" },
	{ 0x83049c67, "skb_push" },
	{ 0x2ba2ccbd, "ip6_route_output_flags" },
	{ 0xf2d46fbf, "xfrm_lookup" },
	{ 0x354a5331, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5246996b, "ipv6_dev_get_saddr" },
	{ 0xd60f7cab, "ip6_dst_hoplimit" },
	{ 0x15f8e73d, "neigh_destroy" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x161d4360, "iptunnel_handle_offloads" },
	{ 0x9c95c565, "icmpv6_ndo_send" },
	{ 0xac95bdbc, "icmp_ndo_send" },
	{ 0x962b94c7, "dev_get_tstats64" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf0afc5ae, "ipv6_chk_addr_and_flags" },
	{ 0xa9cf4097, "dev_get_by_index_rcu" },
	{ 0xbf5b8194, "ip6tun_encaps" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x25056119, "register_pernet_device" },
	{ 0xbade7daf, "xfrm6_tunnel_register" },
	{ 0xb63cf750, "rtnl_link_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8b93ce00, "unregister_pernet_device" },
	{ 0xb4a39517, "xfrm6_tunnel_deregister" },
	{ 0xed27bb4, "dev_addr_mod" },
	{ 0x69acdf38, "memcpy" },
	{ 0x184b0aa5, "rt6_lookup" },
	{ 0xf4a16a53, "dst_release" },
	{ 0xf3ff46ae, "__dev_get_by_index" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "B1D6F9A70D20698C21DB1C1");
