#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x52b2dff8, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x59dd999b, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xa9ff3e30, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x243c06a3, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x9e2cb690, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x7ff1fdb2, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x56fb353f, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xabc7e330, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xb3ea7ce6, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x8048040b, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x0298b31c, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x25a0295a, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x5cb1270d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xe74b54a8, "crypto_grab_shash" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd2fcb8b6, "shash_no_setkey" },
	{ 0x82bc45c9, "ahash_register_instance" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x67021816, "crypto_enqueue_request" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x31a18b0d, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x122c3a7e, "_printk" },
	{ 0xea882d0e, "crypto_register_template" },
	{ 0x78930cad, "crypto_grab_aead" },
	{ 0x10cbcec, "aead_register_instance" },
	{ 0x82077906, "crypto_grab_skcipher" },
	{ 0xdd46b379, "skcipher_register_instance" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x83ac53, "crypto_skcipher_decrypt" },
	{ 0x401392bb, "crypto_skcipher_encrypt" },
	{ 0x841b4ef7, "shash_ahash_digest" },
	{ 0x9b8facbb, "shash_ahash_finup" },
	{ 0xc670b5e4, "crypto_shash_final" },
	{ 0x4a68501, "shash_ahash_update" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x14be142, "crypto_destroy_tfm" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd244106e, "crypto_alloc_skcipher" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbd8cc96, "crypto_alloc_ahash" },
	{ 0x4a47b60f, "crypto_alloc_aead" },
	{ 0xd34c7533, "crypto_skcipher_setkey" },
	{ 0x575218fe, "crypto_spawn_tfm2" },
	{ 0xece53474, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x241368f2, "crypto_shash_setkey" },
	{ 0x8b1b2718, "crypto_clone_shash" },
	{ 0x869c2c50, "crypto_aead_setauthsize" },
	{ 0x8ac026e5, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xca83c138, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");
