#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");
KSYMTAB_FUNC(psp_do_cmd, "_gpl", "");
KSYMTAB_FUNC(psp_register_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(psp_unregister_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(csv_issue_ringbuf_cmds_external_user, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_init, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_free, "_gpl", "");
KSYMTAB_FUNC(csv_fill_cmd_queue, "_gpl", "");
KSYMTAB_FUNC(csv_check_stat_queue_status, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x313d1e97, "_gpl");
SYMBOL_CRC(sev_platform_init, 0xd02e197f, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0xff7a9e66, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x210b12e2, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");
SYMBOL_CRC(psp_do_cmd, 0x02fbf414, "_gpl");
SYMBOL_CRC(psp_register_cmd_notifier, 0x31a411de, "_gpl");
SYMBOL_CRC(psp_unregister_cmd_notifier, 0xb9e0e58d, "_gpl");
SYMBOL_CRC(csv_issue_ringbuf_cmds_external_user, 0xd107ea9e, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_init, 0xd6561431, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_free, 0xc40de96c, "_gpl");
SYMBOL_CRC(csv_fill_cmd_queue, 0x0283c3cc, "_gpl");
SYMBOL_CRC(csv_check_stat_queue_status, 0x9edc58fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xffb0a2d0, "devm_platform_ioremap_resource" },
	{ 0x90a760b0, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74643ba4, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6d95b13e, "dma_pool_create" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x38d0795c, "hwrng_unregister" },
	{ 0x78be9d56, "firmware_request_nowarn" },
	{ 0x3a1b6882, "platform_driver_unregister" },
	{ 0xfd8d43c7, "dma_async_device_unregister" },
	{ 0x20f0138e, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xe3f3a044, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x6a02edc8, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x701c6678, "__pci_register_driver" },
	{ 0xc8fb4761, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc1fe4457, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd4e2dfe6, "path_put" },
	{ 0xc839ba17, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x62e538e7, "hwrng_register" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x1a2495c, "devm_free_pages" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x24a91977, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xcdd39c04, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd73efeef, "pci_enable_msix_range" },
	{ 0x892c658b, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x22394afb, "__free_pages" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0x85b016b8, "init_task" },
	{ 0x77cde877, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xefece215, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf9c546fe, "device_get_dma_attr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc82bc27c, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x959996d9, "prepare_creds" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x51ab1fe4, "pci_enable_msi" },
	{ 0x11a650a9, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x254954b, "kthread_stop" },
	{ 0xec25026b, "devm_get_free_pages" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x73216950, "misc_register" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0xab2be0b, "param_ops_charp" },
	{ 0x5681a486, "kernel_read" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x99fb4770, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x442df82d, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc24dbf5b, "dma_async_device_register" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x8324a72, "__platform_driver_register" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0xd718db62, "dma_set_coherent_mask" },
	{ 0xa9f99b5b, "devm_kasprintf" },
	{ 0xe3be02e4, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9c1bc31e, "_dev_notice" },
	{ 0xfb09ff79, "path_get" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x9eb59fbe, "vfs_fsync" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8fb7521e, "dma_async_tx_descriptor_init" },
	{ 0xff202e1a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4088a8e8, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x80aa298c, "pci_disable_msix" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xd8e0abe2, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0x66d9f142, "pcim_iomap_table" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x1068a357, "pcim_enable_device" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x1c583e1c, "kernel_write" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0x84397678, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014A6sv*sd*bc*sc*i*");
MODULE_ALIAS("acpi*:AMDI0C00:*");

MODULE_INFO(srcversion, "71A1E11DDA2F810B8416E6B");
