#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x07438900, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x754fe993, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xd40d0c10, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xaca94d27, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x7ce391b9, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xdc384c44, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x5ae4a1a4, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x57fa0fe4, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x174078ee, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x6c440a92, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xebd85f97, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x4e7f8d1b, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x62e174e4, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x13f9ad74, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x4b53e527, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x00bc5d0f, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x460784d9, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x038e20e3, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xb9eb9191, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x3cc215d5, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xc2eb1ab1, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x550677aa, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x6f68fa25, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x42186d1b, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x97a06aca, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x987c8a3f, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x9820707e, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x13106f41, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x058ba26a, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x030773a6, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x7ce5e05d, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x42f50f1a, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x8ada4fc5, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x904951a1, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xb8bd2a60, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x0133362a, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x09a9f110, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x7ff229d0, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x55f8daae, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xf11bf429, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x6b3bb720, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x43b4a05f, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xdfd2ec09, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xcb08f30d, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xaed3351d, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x46aba66f, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xe645adda, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x22d10ae1, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xb9c1645e, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x33749d7f, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xd42e03db, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x01fe0439, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x9a7c83c5, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xdfc6b153, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x24104a4e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x0426e2e5, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x2d56ae02, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x93d973b2, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x790cf1bd, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x87c8995f, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xac798845, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xab73c840, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x980f69bd, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x9c3b82ce, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x49c5c56f, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xde73b9ee, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x30335571, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xd62d6aff, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x50ae58a6, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x69c1c59f, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x5be73387, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xe581fd9a, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x92e40378, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xa9b17f72, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x3c00612c, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x3e8c95b7, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x0803b68f, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xc217d208, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x63210b94, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x0e28cc60, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x08b6417a, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xff9bdeba, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x826516da, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xc54d7d8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4c5d1ba, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x619b5ed2, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x71b1f19f, "cdev_device_del" },
	{ 0x1b4d0ad2, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xe0f3c7eb, "device_unregister" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe7e75bf6, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x492c5687, "device_initialize" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3b69480, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x58ae4459, "devm_remove_action" },
	{ 0x89b4969b, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf83788fb, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xabfd72f2, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x60ed6540, "bus_for_each_dev" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf47ee26, "sysfs_create_link" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x670edc88, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0x3f8159d8, "sysfs_update_group" },
	{ 0x67dc2dcc, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0x11a650a9, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x81ecbde6, "debugfs_create_bool" },
	{ 0x57738a7e, "bus_find_device" },
	{ 0x51782b62, "device_add" },
	{ 0x7d6a34db, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x7fc599a0, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb8236b42, "kernfs_find_and_get_ns" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xadd883cf, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa8e6b3d6, "device_find_child" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x139fb30f, "devm_release_action" },
	{ 0x61120c17, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcc37256, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9efa79c2, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x4ddfb0b2, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xcc97fb, "down_write_killable" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xe510535f, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x28b362cd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x123d81c7, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x81404c67, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x269cf975, "__devm_add_action" },
	{ 0xf7f585ac, "pci_find_dvsec_capability" },
	{ 0x6edd8982, "device_find_child_by_name" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x2fb35322, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf74b45fa, "pci_write_config_word" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf68ba70b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe159c43d, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xceed23a0, "pci_bus_type" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0xa76264cb, "bus_register" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "02C639E3E421BC208EFD239");
