#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xdc915c31, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0x339001dd, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x7c24c763, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x346e30b0, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x8d143826, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x3e1ee6eb, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x5a7f68d5, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x21462749, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x9e75ed0c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x39377ee9, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x5f7a6963, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xc0d78218, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x1a48f4b6, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x87cc5a5b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x001faf89, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x8b6c431b, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x5372e9a5, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x2b15167e, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x22ed21b3, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x89b2e79d, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xc9fb1486, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xf65b34fc, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xe4dd20b8, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xc318b3f7, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xdc348bcb, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x3bc1928b, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x56449898, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x178f1011, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x99ba2a12, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x47f90d2a, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xd8bf65ef, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xbd878cfc, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x0f5660ed, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x4bd35fe9, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xec928d36, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xc8e35b9e, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x8cb5285c, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x93c9686c, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x00416a8e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xf02e6f51, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x2bc1ac15, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x6eea0642, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x8a0f6ec0, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xcf94ef12, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x9102be39, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x2ebb2f5f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x20e88850, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x464b6a21, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x6d89bf83, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x1e2c94c2, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xd0188c5f, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x1660b773, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x9b88f516, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x7ba84d0b, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x59559600, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xff4eba5d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x62c55d99, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x4bc128e7, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x48d9179e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x56ff8939, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xd6eb15b2, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x0f9bedd0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xe35345ae, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xdceb4f54, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xd0ad70b3, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x6ca44778, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x2b3b8ebc, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xadcba02b, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x6fcffc75, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x6f4a67fb, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xd037c37e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb77f8abf, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xb7ced8c9, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xc2d015ae, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xb28e0061, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x6d2417cf, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x475b0c80, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x6a4df3dd, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x864f96e3, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xa5070810, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x749e29bb, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x8d823d8f, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x02a02b02, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xd0bb176c, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xf38fc796, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x17b264c4, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xf689c768, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x5a5ee052, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x29a59c28, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xafdf41fd, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd48eb32d, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x53687c9b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xe75a8220, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x03111927, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x168c92b9, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xc8d1f05d, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0x24268b8a, "");
SYMBOL_CRC(drm_flip_work_queue, 0x6cb1499c, "");
SYMBOL_CRC(drm_flip_work_commit, 0x400a8b56, "");
SYMBOL_CRC(drm_flip_work_init, 0x1bc48943, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xc52bc78b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xa61d5215, "");
SYMBOL_CRC(drm_fb_swab, 0x6855a812, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xc9624d53, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x6fc157c5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x936314a1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xfe634871, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x76d9d220, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x7a46bad1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x0b0cf374, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x11b456e1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x8a3371e4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x42c83cc8, "");
SYMBOL_CRC(drm_fb_blit, 0x9cefac11, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x630a1640, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x639f1496, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xc96542ec, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xa6d08419, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc0a543c1, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x55cd21dd, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x7676556f, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xba7b661b, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xe125cc33, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x3b63d784, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x067f172e, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xbaac2c2a, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x187fe4e1, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xb9bacb2c, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xc4ef7a6c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x7265b938, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x15d21c34, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x1c7a502f, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x24c43db2, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x657f52f2, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x8bb91e52, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xe18889f6, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xcb8aaff5, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xa3098882, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x11999b05, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xf11ec6ab, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x3f82d0cc, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x397104dd, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x2f88a409, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x10eef19e, "");
SYMBOL_CRC(drm_crtc_init, 0x4e963d46, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x1dcbcef1, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xb85c517f, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x714f6151, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x85a9fd84, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xac61c5f0, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0x8168f571, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x8f95d9db, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x63b36dda, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x3dab8199, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xdad10694, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xe0599ed3, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x3a6ddead, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x10517392, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x7895f596, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x6d630210, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x92aa4fee, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x7146c7ae, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x6a5e54d1, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0xa3e88726, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x461819a9, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x6a14694b, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x1eaeac35, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xe8640814, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xdb2acd7d, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x018a0f86, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x084ae404, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xe38a3567, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x792912ae, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa7572730, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xcc4bd842, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xbb36da92, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xab83ec09, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xbad37809, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xc11e0ac9, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xda3db3ca, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x506b4009, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x265765f5, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x5f9f7bb2, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xec29c34f, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x49ad33cd, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x64d10006, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x88e587a1, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xe3225dcf, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xbe02b0c8, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x08188efd, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x6a0de2c4, "");
SYMBOL_CRC(drm_fb_helper_init, 0x7874d304, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xf99a4057, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x22172e47, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xe169eacc, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x01ef288b, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xa487662c, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x684dd049, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x93ddb7af, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x3b441b6f, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x56578f37, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xc4f1b131, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x3d75e552, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x64aa026d, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x4a3b412f, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x42ab00d4, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x288e415e, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xbfca9234, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xf828fe94, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x6fb31816, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xe90e5992, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6a823bd, "unregister_framebuffer" },
	{ 0x64847693, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x8329c21e, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x4b1c26, "drm_client_register" },
	{ 0xf7bbaeb5, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x6c1d7412, "drm_panel_get_modes" },
	{ 0xf3c6774e, "drm_gem_vmap_unlocked" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xfa90874f, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf5b84e7f, "drm_bridge_add" },
	{ 0xcd42285d, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x59c0f261, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0x78ee596f, "drm_client_rotation" },
	{ 0x8f4e58c2, "drm_client_buffer_vmap" },
	{ 0xfad5c9c1, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5440196b, "drm_framebuffer_init" },
	{ 0xc00728ef, "drm_mode_validate_driver" },
	{ 0xe12d03bd, "vmalloc_to_page" },
	{ 0x63d0e19b, "drm_atomic_add_affected_planes" },
	{ 0xf96ad6d, "dma_buf_end_cpu_access" },
	{ 0x97eba924, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x51e5c310, "drm_mode_probed_add" },
	{ 0xcdd35639, "drm_atomic_add_affected_connectors" },
	{ 0x32e0c35d, "drm_gem_vunmap_unlocked" },
	{ 0x9f670b9f, "drm_bridge_hpd_enable" },
	{ 0xa3f89d2c, "drm_crtc_vblank_count" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x3e7b692b, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6f6f57c, "drm_client_framebuffer_delete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xe11124b, "drm_client_framebuffer_create" },
	{ 0x44c81e05, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x265432d5, "drm_mode_object_get" },
	{ 0xf374037f, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x773ccf70, "drm_driver_legacy_fb_format" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x46bdf8e5, "drm_crtc_cleanup" },
	{ 0x67398c97, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3cf725ab, "fb_deferred_io_init" },
	{ 0x78917f91, "drm_mode_set_config_internal" },
	{ 0xb1443afa, "fb_deferred_io_cleanup" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x4e1e5718, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7ee55d8f, "drm_encoder_cleanup" },
	{ 0x6465b8d7, "drm_connector_unregister" },
	{ 0x68ed89, "drm_modeset_acquire_init" },
	{ 0x56defccb, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22e8995a, "drm_client_modeset_probe" },
	{ 0x8227c8c7, "drm_warn_on_modeset_not_all_locked" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x10969f5d, "drm_plane_get_damage_clips" },
	{ 0xac8714bb, "devres_add" },
	{ 0x8d315f3a, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf59e5ba4, "drm_add_modes_noedid" },
	{ 0xacb5d838, "drm_bridge_remove" },
	{ 0x57fd7ca6, "drm_mode_object_put" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x6caf9b2c, "drm_crtc_vblank_get" },
	{ 0xd8438057, "drm_gem_object_lookup" },
	{ 0x1bf64c2a, "drm_crtc_send_vblank_event" },
	{ 0x9ab3095, "drm_connector_attach_encoder" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xfb1951d, "fb_sys_write" },
	{ 0xf17412fe, "drm_atomic_normalize_zpos" },
	{ 0x52145ee7, "drm_edid_connector_update" },
	{ 0xa377310a, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xff162b11, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x501d88c, "vga_switcheroo_client_fb_set" },
	{ 0xdfab3070, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54bca12f, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ccbab77, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0xbc274df, "sys_fillrect" },
	{ 0x433516a5, "drm_connector_list_iter_end" },
	{ 0xcc3e6d40, "drm_atomic_set_crtc_for_plane" },
	{ 0xd904b207, "drm_client_modeset_dpms" },
	{ 0xfa3e3984, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x36a8480a, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0x61932807, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x6891b10b, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x7dd33334, "module_put" },
	{ 0x4110ac58, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd0d09595, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7a5847a2, "drm_client_init" },
	{ 0x855616a4, "drm_crtc_wait_one_vblank" },
	{ 0x8353fb69, "drm_crtc_next_vblank_start" },
	{ 0x7c66fda6, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x25272b15, "drm_modeset_lock" },
	{ 0x20dc8ff8, "drm_client_modeset_commit_locked" },
	{ 0xb2d02e41, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6fd0abe7, "drm_panel_disable" },
	{ 0x3e020be3, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x50a1fd38, "drm_connector_init" },
	{ 0x11a650a9, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0xc5347968, "drm_writeback_cleanup_job" },
	{ 0x7b8007d1, "drm_modeset_lock_all_ctx" },
	{ 0x33dd0c7f, "i2c_unregister_device" },
	{ 0xf5e0a2e1, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbea10b95, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe4379e61, "drm_connector_init_with_ddc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xeebccf8d, "drm_add_edid_modes" },
	{ 0xa42358a3, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xfc025aba, "__devres_alloc_node" },
	{ 0x106259e9, "drm_edid_read" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x921dce74, "drm_crtc_commit_wait" },
	{ 0x41afd728, "drm_dev_has_vblank" },
	{ 0xe4ce5ec3, "register_framebuffer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x87a11e5c, "__drm_atomic_helper_disable_plane" },
	{ 0xf7c25b63, "drm_connector_set_orientation_from_panel" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0xec279882, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x478d93c6, "drm_atomic_set_crtc_for_connector" },
	{ 0xf6ef5a17, "drm_analog_tv_mode" },
	{ 0xfc340c74, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x6cbcc12c, "drm_mode_duplicate" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x865a486b, "drm_crtc_vblank_put" },
	{ 0x4cec0f71, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x56c8f5f4, "__drm_dev_dbg" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x2eef3bcc, "drm_plane_get_damage_clips_count" },
	{ 0xa5d413d3, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x7d8d2b8e, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x24245fa3, "drm_atomic_state_alloc" },
	{ 0xbc2dbfed, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x281272fb, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf459fd1c, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xa146fb05, "fb_set_suspend" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x6ed6de81, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x9749b9b2, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x96867471, "__drm_atomic_helper_set_config" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xec8ec2e8, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x3d703757, "drm_get_format_info" },
	{ 0x8c5f84b5, "drm_connector_cleanup" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe8888c1a, "drm_universal_plane_init" },
	{ 0x40dbbb06, "drm_any_plane_has_format" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3000e36c, "sys_copyarea" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x5365478a, "drm_connector_list_iter_next" },
	{ 0x6ac25acc, "drm_modeset_acquire_fini" },
	{ 0x6b19e007, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x44719698, "drm_object_property_get_default_value" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x523bf517, "current_work" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa6ea5cf3, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x5865d537, "drm_modeset_backoff" },
	{ 0x9fe1d97d, "drm_panel_prepare" },
	{ 0x9b2cd461, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6ef674a7, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x1b6006, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0xd8e21475, "drm_atomic_get_plane_state" },
	{ 0xdeb34100, "drm_atomic_bridge_chain_check" },
	{ 0x3df9a7d3, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1b5f840f, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2bac43c, "drm_property_blob_put" },
	{ 0xd02cfb3d, "drm_mode_destroy" },
	{ 0x97c0ccb, "drm_bridge_attach" },
	{ 0x20d3d0c3, "drm_set_preferred_mode" },
	{ 0x79b2eed6, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x59c6cccf, "drm_atomic_state_clear" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2f5ed11f, "drm_mode_config_reset" },
	{ 0x28179d07, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xeb865d7a, "drm_modeset_drop_locks" },
	{ 0xe4d2f917, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1011c72c, "drm_atomic_bridge_chain_disable" },
	{ 0x69b66ced, "drm_mode_create_from_cmdline_mode" },
	{ 0x5025290f, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xafe2d186, "drm_atomic_nonblocking_commit" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0x818d5f6c, "drm_master_internal_release" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb6e98840, "drm_get_edid" },
	{ 0x61524528, "drm_calc_timestamping_constants" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x5a8bf4f, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xceed23a0, "pci_bus_type" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xd08aa152, "drm_atomic_add_encoder_bridges" },
	{ 0x5f82b2e7, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd542ed7b, "drm_sysfs_connector_hotplug_event" },
	{ 0x5efde415, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "drm,i2c-core");


MODULE_INFO(srcversion, "33AC5824812771469AA9ABC");
