#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i915_read_mch_val, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_raise, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_lower, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_busy, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_turbo_disable, "_gpl", "");
KSYMTAB_FUNC(intel_gvt_set_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_gvt_clear_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_alloc, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_create_shmem, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_init, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_ggtt_pin_ww, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_pin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_set_to_cpu_domain, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__i915_gem_object_flush_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__i915_gem_object_set_pages, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_gtt_insert, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_prime_export, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_init, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_backoff, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_fini, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_ppgtt_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_add, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_wait, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_reserve_fence, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_unreserve_fence, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_vm_release, "_gpl", "I915_GVT");
KSYMTAB_FUNC(_i915_vma_move_to_active, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_context_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__intel_context_do_pin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__intel_context_do_unpin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_ring_begin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_runtime_pm_get, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_runtime_pm_put_unchecked, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_for_reg, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_get, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_put, "_gpl", "I915_GVT");
KSYMTAB_FUNC(shmem_pin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(shmem_unpin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__px_dma, "_gpl", "I915_GVT");
KSYMTAB_DATA(i915_fence_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_gvt_iterate_mmio_table, "_gpl", "I915_GVT");

SYMBOL_CRC(i915_read_mch_val, 0x500858b9, "_gpl");
SYMBOL_CRC(i915_gpu_raise, 0x08a7896d, "_gpl");
SYMBOL_CRC(i915_gpu_lower, 0x402468e9, "_gpl");
SYMBOL_CRC(i915_gpu_busy, 0x05876c69, "_gpl");
SYMBOL_CRC(i915_gpu_turbo_disable, 0xe7237b0b, "_gpl");
SYMBOL_CRC(intel_gvt_set_ops, 0x87628833, "_gpl");
SYMBOL_CRC(intel_gvt_clear_ops, 0x835ac7a5, "_gpl");
SYMBOL_CRC(i915_gem_object_alloc, 0xb1350757, "_gpl");
SYMBOL_CRC(i915_gem_object_create_shmem, 0xd7afda5f, "_gpl");
SYMBOL_CRC(i915_gem_object_init, 0x9e08a95d, "_gpl");
SYMBOL_CRC(i915_gem_object_ggtt_pin_ww, 0x1991c3bf, "_gpl");
SYMBOL_CRC(i915_gem_object_pin_map, 0x59718d58, "_gpl");
SYMBOL_CRC(i915_gem_object_set_to_cpu_domain, 0x9dc467be, "_gpl");
SYMBOL_CRC(__i915_gem_object_flush_map, 0x5035187d, "_gpl");
SYMBOL_CRC(__i915_gem_object_set_pages, 0xcef47a99, "_gpl");
SYMBOL_CRC(i915_gem_gtt_insert, 0xeb2487fb, "_gpl");
SYMBOL_CRC(i915_gem_prime_export, 0x1121ff7a, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_init, 0x692079f3, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_backoff, 0xc1bbe689, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_fini, 0xd8a000e7, "_gpl");
SYMBOL_CRC(i915_ppgtt_create, 0x60a4f9f4, "_gpl");
SYMBOL_CRC(i915_request_add, 0xcf8f1936, "_gpl");
SYMBOL_CRC(i915_request_create, 0xd7ac7bc2, "_gpl");
SYMBOL_CRC(i915_request_wait, 0x115e4669, "_gpl");
SYMBOL_CRC(i915_reserve_fence, 0xb04609a4, "_gpl");
SYMBOL_CRC(i915_unreserve_fence, 0x74dbff2b, "_gpl");
SYMBOL_CRC(i915_vm_release, 0x890fc889, "_gpl");
SYMBOL_CRC(_i915_vma_move_to_active, 0xcaf5ba3d, "_gpl");
SYMBOL_CRC(intel_context_create, 0xc9e9a1a1, "_gpl");
SYMBOL_CRC(__intel_context_do_pin, 0xf44354a1, "_gpl");
SYMBOL_CRC(__intel_context_do_unpin, 0x7e812149, "_gpl");
SYMBOL_CRC(intel_ring_begin, 0x6e119e3d, "_gpl");
SYMBOL_CRC(intel_runtime_pm_get, 0xe3ecff94, "_gpl");
SYMBOL_CRC(intel_runtime_pm_put_unchecked, 0xc2b0fb5f, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_for_reg, 0x3dc39848, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_get, 0x12a2fe3e, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_put, 0xd6bc95de, "_gpl");
SYMBOL_CRC(shmem_pin_map, 0xf8bb1387, "_gpl");
SYMBOL_CRC(shmem_unpin_map, 0x181a4226, "_gpl");
SYMBOL_CRC(__px_dma, 0x440b79ca, "_gpl");
SYMBOL_CRC(i915_fence_ops, 0x875c6820, "_gpl");
SYMBOL_CRC(intel_gvt_iterate_mmio_table, 0xc660edc8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362ef70, "hrtimer_active" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xc67ea662, "unregister_sysctl_table" },
	{ 0xfd7cdeea, "drm_show_fdinfo" },
	{ 0x7874d304, "drm_fb_helper_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xe7e088d0, "intel_graphics_stolen_res" },
	{ 0xc631580a, "console_unlock" },
	{ 0x784b6911, "radix_tree_delete" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf65b34fc, "drm_atomic_helper_commit_hw_done" },
	{ 0x5ba30bc4, "queue_rcu_work" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x673f72da, "xa_store" },
	{ 0x46c42fff, "vga_switcheroo_client_probe_defer" },
	{ 0x3d75e552, "drm_fb_helper_ioctl" },
	{ 0x1000e51, "schedule" },
	{ 0x5efde415, "flush_work" },
	{ 0x431af335, "drm_connector_attach_max_bpc_property" },
	{ 0xb0d93962, "component_add_typed" },
	{ 0x7daac64e, "request_firmware" },
	{ 0x3a5fa4c4, "__pm_runtime_resume" },
	{ 0xa96ae5e8, "drm_mode_create_tv_properties_legacy" },
	{ 0xc839ba17, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0xd7b277ed, "unregister_shrinker" },
	{ 0xafd32fa5, "drm_dp_read_channel_eq_delay" },
	{ 0x28179d07, "drm_property_create_blob" },
	{ 0xb2969146, "pm_runtime_allow" },
	{ 0x9cb1e4d1, "__folio_batch_release" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x5c6bd0c7, "_mutex_lock_nest_lock" },
	{ 0x6caf9b2c, "drm_crtc_vblank_get" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x51e5c310, "drm_mode_probed_add" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xbaf06d2, "drm_dp_cec_unset_edid" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x4582eae8, "drm_lspcon_set_mode" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x1953d166, "kobj_sysfs_ops" },
	{ 0x6797d568, "intel_gmch_gtt_get" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf2514af4, "mipi_dsi_generic_write" },
	{ 0xe150f471, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3be5af77, "pci_write_config_byte" },
	{ 0xc318b3f7, "drm_atomic_helper_prepare_planes" },
	{ 0x521ad6d0, "drm_puts" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x5f7985a5, "drm_mm_scan_remove_block" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0xcd6838e1, "drm_crtc_arm_vblank_event" },
	{ 0x50a55102, "__tracepoint_mmap_lock_released" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf7e833b, "acpi_dev_get_resources" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0xbde26a9, "drm_framebuffer_plane_height" },
	{ 0x46d0051c, "drm_connector_attach_scaling_mode_property" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x12fefcf1, "drm_dp_pcon_frl_prepare" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x6b53e216, "drm_dp_downstream_max_tmds_clock" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x405c8f2d, "cpu_latency_qos_remove_request" },
	{ 0x5099e214, "ttm_resource_init" },
	{ 0x5365478a, "drm_connector_list_iter_next" },
	{ 0x123a846e, "ttm_bo_vm_fault_reserved" },
	{ 0x24f03dc, "drm_dp_read_mst_cap" },
	{ 0x2a0a0d8c, "dma_fence_begin_signalling" },
	{ 0xed68a5ee, "drm_plane_create_blend_mode_property" },
	{ 0xcb970751, "stop_machine" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x5f34d356, "ww_mutex_lock_interruptible" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x45489d80, "drm_clflush_pages" },
	{ 0xbe009829, "drm_gem_private_object_init" },
	{ 0x583386d4, "__i2c_transfer" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x592887be, "mipi_dsi_picture_parameter_set" },
	{ 0x9ad7a582, "iosf_mbi_assert_punit_acquired" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x1d3666da, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xd7d38a2d, "ttm_resource_manager_evict_all" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x176273e, "dma_fence_array_first" },
	{ 0xf23137f5, "dma_fence_remove_callback" },
	{ 0xd087251, "pci_dev_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x3e020be3, "drm_property_replace_blob" },
	{ 0xd31d043a, "device_get_next_child_node" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x24245fa3, "drm_atomic_state_alloc" },
	{ 0x42ab00d4, "drm_fb_helper_pan_display" },
	{ 0xdd3c6afa, "drm_mode_is_420_also" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0xef534efc, "drm_mode_create" },
	{ 0xd21cccf3, "down_write" },
	{ 0x16f6be33, "lock_unpin_lock" },
	{ 0xd21a29e4, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x3be2d5c3, "drm_dp_read_sink_count_cap" },
	{ 0x81ecbde6, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x2bac43c, "drm_property_blob_put" },
	{ 0x1ef288b, "drm_fb_helper_fini" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0x44e10ace, "drm_open" },
	{ 0x355d93b4, "drm_dp_pcon_frl_enable" },
	{ 0xff3eecdd, "pci_bus_write_config_byte" },
	{ 0xd235fd93, "mmu_interval_notifier_remove" },
	{ 0x7c186709, "get_fs_type" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0x8823ef75, "intel_gmch_gtt_insert_page" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x858bb8ba, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x46429db5, "pci_match_id" },
	{ 0x349cba85, "strchr" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x223089d9, "drm_atomic_get_mst_payload_state" },
	{ 0xa7357d70, "bus_register_notifier" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc512626a, "__supported_pte_mask" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x9f44c898, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb5b37994, "dma_fence_signal_locked" },
	{ 0x3a75cf79, "drm_dp_aux_unregister" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xf02e6f51, "drm_atomic_helper_page_flip" },
	{ 0xf79bf1ee, "mipi_dsi_dcs_read" },
	{ 0x6465b8d7, "drm_connector_unregister" },
	{ 0x2964917b, "drm_gem_unmap_dma_buf" },
	{ 0xdb35d3f2, "__cond_resched_lock" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x3b3c4a00, "fwnode_handle_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4b1cc84c, "radix_tree_iter_delete" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x1b2f2bcc, "pci_get_domain_bus_and_slot" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x5800a725, "drm_crtc_vblank_waitqueue" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x988f1543, "drm_vma_node_is_allowed" },
	{ 0xe8094836, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xd34d7fa8, "drm_vblank_work_flush" },
	{ 0x8f076cb, "pci_d3cold_disable" },
	{ 0x194ac70f, "mark_page_accessed" },
	{ 0x5a921311, "strncmp" },
	{ 0x7b8007d1, "drm_modeset_lock_all_ctx" },
	{ 0xde6c0cb1, "drm_debugfs_create_files" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0x999d302e, "drm_connector_set_path_property" },
	{ 0x1a63af34, "vga_switcheroo_process_delayed_switch" },
	{ 0x873bc966, "zap_vma_ptes" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x7be2b32b, "synchronize_srcu_expedited" },
	{ 0x433516a5, "drm_connector_list_iter_end" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x9f984513, "strrchr" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xec928d36, "drm_atomic_helper_shutdown" },
	{ 0xf828fe94, "drm_fb_helper_hotplug_event" },
	{ 0xe91ceb4d, "sg_alloc_table_from_pages_segment" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1ed4e2cb, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x4b696b5f, "drm_privacy_screen_put" },
	{ 0xfcfb9aa3, "dma_resv_iter_next_unlocked" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xdc915c31, "drm_atomic_helper_check_modeset" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x7146c7ae, "drm_helper_hpd_irq_event" },
	{ 0xcc3e6d40, "drm_atomic_set_crtc_for_plane" },
	{ 0x2e400dba, "fwnode_handle_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x7ff1ecf4, "__mmap_lock_do_trace_start_locking" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0x2be6d742, "drm_connector_update_privacy_screen" },
	{ 0x50b61e88, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xc8e35b9e, "drm_atomic_helper_duplicate_state" },
	{ 0xb7c69a63, "unregister_vmap_purge_notifier" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x56e893c9, "ttm_bo_move_sync_cleanup" },
	{ 0x5611deba, "devm_pinctrl_get" },
	{ 0x8a8bb7a2, "kernel_param_unlock" },
	{ 0x9a7c2370, "device_remove_bin_file" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd57dbc7b, "perf_pmu_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5b0f490e, "kobject_create_and_add" },
	{ 0xea76b46e, "cpufreq_cpu_get" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb3789337, "lockdep_recursion" },
	{ 0xeeba454, "drm_plane_from_index" },
	{ 0xaf2ecb10, "drm_crtc_vblank_off" },
	{ 0x6df31390, "intel_gmch_gtt_clear_range" },
	{ 0x8cb5285c, "drm_atomic_helper_suspend" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x81188c30, "match_string" },
	{ 0xdc348bcb, "drm_atomic_helper_unprepare_planes" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xce1e3e7f, "ttm_bo_wait_ctx" },
	{ 0xa3767e6e, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2492ae78, "pci_bus_read_config_byte" },
	{ 0x5b456a8b, "dma_fence_end_signalling" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x54bca12f, "__drmm_add_action_or_reset" },
	{ 0x78be9d56, "firmware_request_nowarn" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xa3a1de1d, "drm_dp_vsc_sdp_log" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x4389b55c, "drm_vblank_work_schedule" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x15d21c34, "drm_gem_fb_get_obj" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0xdc721194, "vga_client_register" },
	{ 0x9bddf91d, "dma_resv_wait_timeout" },
	{ 0x2c288abb, "ttm_resource_manager_init" },
	{ 0x4c286787, "pci_d3cold_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e6048a7, "i2c_put_adapter" },
	{ 0xa06e6a13, "drm_syncobj_create" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x442163e2, "drm_dp_mst_connector_late_register" },
	{ 0x10045326, "single_open_size" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8058b5ae, "seq_write" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x88e587a1, "drm_fb_helper_debug_leave" },
	{ 0xeb2afb1e, "__srcu_read_lock" },
	{ 0xea56ce8f, "ttm_bo_vm_access" },
	{ 0xc6fe5263, "i2c_get_adapter" },
	{ 0x894827c9, "ttm_resource_manager_debug" },
	{ 0x8d669d3c, "pid_task" },
	{ 0x823c19ea, "iosf_mbi_unregister_pmic_bus_access_notifier_unlocked" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x141f87d0, "intel_gmch_probe" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0x4991b6c7, "register_sysctl_sz" },
	{ 0x63abf2aa, "ttm_resource_free" },
	{ 0x938dc66f, "ttm_bo_init_reserved" },
	{ 0x392bae1d, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x112c0e3, "drm_dp_read_lttpr_common_caps" },
	{ 0xc51a342f, "drm_invalid_op" },
	{ 0x49e96999, "cond_synchronize_rcu" },
	{ 0x9ab3095, "drm_connector_attach_encoder" },
	{ 0xd8e0abe2, "dma_set_mask" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x22b60784, "vga_switcheroo_register_client" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0x6b17f0cb, "irq_set_chip_and_handler_name" },
	{ 0x86ba3e1, "drm_hdmi_avi_infoframe_content_type" },
	{ 0x1aa39e3c, "__xa_store" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0x845a3abe, "put_device" },
	{ 0x64d10006, "drm_fb_helper_debug_enter" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa1b2eb5, "drm_vma_offset_add" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9707a93a, "hrtimer_try_to_cancel" },
	{ 0xe749d3ab, "drm_crtc_enable_color_mgmt" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0xf9eb7afe, "drm_dp_dpcd_write" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x68ed89, "drm_modeset_acquire_init" },
	{ 0xfb614be9, "drm_mode_create_aspect_ratio_property" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15d0069d, "pci_save_state" },
	{ 0xb9f76fb3, "drm_vma_node_revoke" },
	{ 0x501d88c, "vga_switcheroo_client_fb_set" },
	{ 0x83c501dd, "kobject_add" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x848215fb, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xf218702e, "drm_dp_pcon_frl_configure_2" },
	{ 0x22d53779, "drm_buddy_free_list" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0x4e4205fa, "backlight_device_unregister" },
	{ 0xec16dae7, "kern_unmount" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xa8840e15, "i2c_acpi_find_adapter_by_handle" },
	{ 0xa981d274, "device_link_del" },
	{ 0x6ac25acc, "drm_modeset_acquire_fini" },
	{ 0x84397678, "dma_map_sg_attrs" },
	{ 0x192ea14f, "__SCT__tp_func_dma_fence_signaled" },
	{ 0x89f1e261, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x79cd943d, "ttm_tt_fini" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x49062e5a, "drm_dp_cec_unregister_connector" },
	{ 0x62337fa8, "fb_io_read" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0xc49bc16b, "cpu_latency_qos_request_active" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe161e72, "register_shrinker" },
	{ 0x27d48769, "pci_iomap_range" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0xfda9a3f1, "intel_gmch_enable_gtt" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xff748b76, "drm_buddy_alloc_blocks" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x71f44ecd, "drm_dp_dpcd_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa614051a, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x7ffd58e4, "drm_dp_pcon_pps_override_param" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0x550ce709, "pat_enabled" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6ab255a1, "i2c_bit_algo" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfa150882, "drm_buddy_fini" },
	{ 0x863d9939, "seq_lseek" },
	{ 0x97eba924, "drm_modeset_unlock_all" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xbaa63798, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xb68efd65, "dma_buf_unmap_attachment" },
	{ 0xe7cc64b5, "drm_crtc_create_scaling_filter_property" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc9b53efa, "dma_resv_iter_first" },
	{ 0x9bbfc63f, "cpu_latency_qos_add_request" },
	{ 0xcdc7a85, "unlock_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x478d93c6, "drm_atomic_set_crtc_for_connector" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6b2806f5, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x839b332b, "dma_resv_reserve_fences" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x7344405a, "idr_find" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x8cf417c2, "relay_switch_subbuf" },
	{ 0xbb13f0da, "dma_buf_put" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x190fec21, "pin_user_pages_fast" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c8b7fe4, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xaeea1436, "dma_resv_add_fence" },
	{ 0x27be5f19, "seq_printf" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x434aaeee, "drm_dp_atomic_release_time_slots" },
	{ 0xcdd35639, "drm_atomic_add_affected_connectors" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdba82bc1, "find_vma" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xb4cad737, "drm_dp_mst_detect_port" },
	{ 0x335ef2e0, "folio_mark_accessed" },
	{ 0xc9aa1de4, "irq_work_sync" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xccb9c676, "shmem_read_mapping_page_gfp" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c73860e, "sysfs_merge_group" },
	{ 0x2e7a17d4, "vmap_pfn" },
	{ 0x6a08ba44, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0xd96adae1, "sync_file_create" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x19a63746, "unpin_user_pages" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x1e8e0171, "drm_plane_create_rotation_property" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0xb309a795, "ttm_bo_vm_dummy_page" },
	{ 0x3e7b692b, "drm_modeset_lock_all" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x1f3aa578, "dma_resv_iter_next" },
	{ 0x8188efd, "drm_fb_helper_prepare" },
	{ 0x9d876ee2, "drm_edp_backlight_disable" },
	{ 0x41287caf, "debugfs_create_file_unsafe" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5d3fee, "pci_bus_alloc_resource" },
	{ 0x59552a31, "generic_file_llseek" },
	{ 0x74a76053, "down_read" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x514176d5, "ttm_kmap_iter_tt_init" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x94949472, "drm_dp_get_phy_test_pattern" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0xec279882, "drm_gem_handle_create" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0xef6c3f70, "round_jiffies_up_relative" },
	{ 0xf5660ed, "drm_atomic_helper_set_config" },
	{ 0x44673280, "ww_mutex_unlock" },
	{ 0x8d315f3a, "dma_fence_wait_timeout" },
	{ 0xd6c5d9e7, "drm_dp_read_dpcd_caps" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0x7bb1d445, "drm_dev_enter" },
	{ 0x63a477fb, "drm_dp_downstream_min_tmds_clock" },
	{ 0x83a5100a, "drmm_kmalloc" },
	{ 0x85df9b6c, "strsep" },
	{ 0x93228d66, "idr_get_next" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xe3225dcf, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x9be1dea3, "shmem_file_setup_with_mnt" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x464b6a21, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c4827c4, "shmem_file_setup" },
	{ 0x154d6467, "drm_atomic_get_new_mst_topology_state" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb1960ffc, "component_del" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x5a7f68d5, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0xd9543872, "relay_open" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x334a69a3, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0x67e79b92, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x80887e38, "anon_inode_getfd" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x2b434475, "drm_dev_get" },
	{ 0xc1920769, "mipi_dsi_attach" },
	{ 0x5d17a598, "cleanup_srcu_struct" },
	{ 0xf7ef9a79, "iosf_mbi_punit_release" },
	{ 0x29fccd69, "sysfs_create_bin_file" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xfb1391ce, "dma_fence_chain_walk" },
	{ 0x5d27795f, "folio_alloc" },
	{ 0xa5d413d3, "drm_atomic_commit" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xae525b3, "bit_waitqueue" },
	{ 0x7410aba2, "strreplace" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x61120c17, "device_del" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3a6ddead, "drm_kms_helper_connector_hotplug_event" },
	{ 0xee6b9bf9, "perf_pmu_unregister" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x1bf64c2a, "drm_crtc_send_vblank_event" },
	{ 0xf83788fb, "__devm_request_region" },
	{ 0xdceb4f54, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x4373a8b, "set_page_dirty" },
	{ 0xaa3d90d3, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0xb3552d92, "pinctrl_lookup_state" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x376af0c2, "ttm_device_init" },
	{ 0xf30965ac, "iosf_mbi_register_pmic_bus_access_notifier" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xe4dd20b8, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x69420cdb, "drm_dp_add_payload_part2" },
	{ 0x1e2c94c2, "__drm_atomic_helper_plane_state_reset" },
	{ 0x265432d5, "drm_mode_object_get" },
	{ 0x915555df, "acpi_find_child_device" },
	{ 0x38a65a51, "sysfs_create_files" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe87815e5, "get_task_pid" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xed69f7d5, "simple_attr_read" },
	{ 0x3eb55f8, "drm_connector_attach_dp_subconnector_property" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x922abc69, "ww_mutex_trylock" },
	{ 0x6ca44778, "drm_atomic_helper_connector_destroy_state" },
	{ 0xe8888c1a, "drm_universal_plane_init" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x687d8a2c, "pci_get_class" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeedd381b, "pci_bus_resource_n" },
	{ 0x26ed2186, "register_vmap_purge_notifier" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x3dab8199, "drm_helper_probe_detect" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9fb91eed, "drm_connector_attach_vrr_capable_property" },
	{ 0xe42596da, "dma_fence_array_next" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x1b5f840f, "drm_property_blob_get" },
	{ 0x4d924f20, "memremap" },
	{ 0xd55447ba, "drm_crtc_accurate_vblank_count" },
	{ 0x57fd7ca6, "drm_mode_object_put" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0x8f23d153, "bus_unregister_notifier" },
	{ 0xbd878cfc, "drm_atomic_helper_disable_plane" },
	{ 0x3a35dd27, "vfs_kern_mount" },
	{ 0x8d3689b5, "__tracepoint_mmap_lock_start_locking" },
	{ 0x8e7b66c1, "dma_fence_chain_find_seqno" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x39c62dae, "drm_edid_read_switcheroo" },
	{ 0x254c6350, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0xbb7a7b2c, "perf_pmu_migrate_context" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xfbd931bd, "drm_read" },
	{ 0xe2143a45, "dma_buf_map_attachment" },
	{ 0x83e23510, "_dev_printk" },
	{ 0x8082d3e0, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0xd47ce335, "drm_mode_object_find" },
	{ 0x1a71d30c, "ttm_move_memcpy" },
	{ 0xd7091bf5, "i2c_add_adapter" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9b88f516, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x664f5290, "kobject_init" },
	{ 0xcb290689, "drm_dp_mst_topology_mgr_init" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x32dfdcb8, "drm_crtc_handle_vblank" },
	{ 0x1a68d13, "drm_connector_attach_privacy_screen_provider" },
	{ 0xc2b0aff4, "dma_fence_signal" },
	{ 0x5607156e, "drm_atomic_state_init" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x3de60e0, "drm_privacy_screen_get" },
	{ 0x9ab2aa50, "drm_hdcp_check_ksvs_revoked" },
	{ 0xb2f74fb6, "intel_gmch_remove" },
	{ 0xae4e3d57, "backlight_device_get_by_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x29eba37f, "current_is_async" },
	{ 0xc30d71cc, "drm_buddy_block_print" },
	{ 0x2183c08c, "drm_mm_scan_add_block" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x7ad1ded1, "pinctrl_register_mappings" },
	{ 0xaefb4e12, "drm_atomic_get_mst_topology_state" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xcdeb383a, "drm_dev_register" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xaafc5a5f, "cec_fill_conn_info_from_drm" },
	{ 0xd4e455a4, "_raw_spin_lock_irqsave_nested" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa193907e, "clear_page_dirty_for_io" },
	{ 0xa1765a06, "drm_dp_remove_payload" },
	{ 0xfc340c74, "drm_crtc_init_with_planes" },
	{ 0xe914e41e, "strcpy" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf99a4057, "drm_fb_helper_alloc_info" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a847134, "ttm_kmap_iter_iomap_init" },
	{ 0x6488e7e3, "gpiod_set_value_cansleep" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x64b6c18c, "pci_set_power_state" },
	{ 0xf674c433, "__init_srcu_struct" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x25daad93, "__drm_mm_interval_first" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x7c3bd8a, "drm_dp_cec_set_edid" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x68f209f8, "drm_vma_node_allow_once" },
	{ 0xa928f925, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0x8aa541fd, "default_llseek" },
	{ 0xbb9f0d28, "ttm_pool_free" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5842e2a5, "vma_set_file" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x48c7941d, "drm_dp_cec_irq" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xff5a7902, "mas_find" },
	{ 0x4dbd5a52, "pci_iounmap" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x2d9e9583, "drm_buddy_print" },
	{ 0x815c79a8, "drm_dp_aux_init" },
	{ 0xe169eacc, "drm_fb_helper_unregister_info" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xcebb21f4, "dma_fence_chain_ops" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x3cd25292, "drm_gem_dmabuf_export" },
	{ 0xc7292979, "device_link_add" },
	{ 0xc6ed27c8, "pci_read_config_byte" },
	{ 0x26ee84ac, "ttm_bo_move_to_lru_tail" },
	{ 0x10517392, "drm_kms_helper_poll_disable" },
	{ 0x2ca873aa, "dma_fence_array_ops" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xe9628644, "drm_dp_check_act_status" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x210d9ff4, "__irq_alloc_descs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63b36dda, "drm_kms_helper_poll_reschedule" },
	{ 0xea1e5590, "drm_plane_enable_fb_damage_clips" },
	{ 0xd4ddabe0, "folio_mark_dirty" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0x568d50cb, "pci_assign_unassigned_bus_resources" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x4926eb1b, "drm_mode_create_hdmi_colorspace_property" },
	{ 0xa0993ae, "dma_free_attrs" },
	{ 0xa6918488, "dma_fence_add_callback" },
	{ 0x923b4d7f, "gpiod_set_value" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0x16bea225, "drm_dp_mst_connector_early_unregister" },
	{ 0xb3261f2e, "drm_plane_create_color_properties" },
	{ 0x8cc21507, "drm_gem_dmabuf_release" },
	{ 0xd81db4d9, "drm_gem_free_mmap_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4b5e3a47, "__get_user_nocheck_1" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4fb2b26d, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe969bd3e, "drm_atomic_get_old_mst_topology_state" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0xfb21b911, "vm_mmap" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4a4ae5fb, "page_table_check_disabled" },
	{ 0x9c1bc31e, "_dev_notice" },
	{ 0x25272b15, "drm_modeset_lock" },
	{ 0xf12b9d8e, "single_release" },
	{ 0xc4508ed9, "__xa_erase" },
	{ 0x5ccdb6c1, "drm_dp_downstream_mode" },
	{ 0x4578b1d2, "drm_probe_ddc" },
	{ 0x5f82b2e7, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xccde0fbb, "is_acpi_device_node" },
	{ 0x320940dc, "dma_resv_test_signaled" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x548566b7, "drm_connector_attach_content_type_property" },
	{ 0x7ee55d8f, "drm_encoder_cleanup" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x9328e419, "drm_dp_read_lttpr_phy_caps" },
	{ 0x2a962499, "drm_mm_scan_init_with_range" },
	{ 0x63fd90ad, "drm_connector_attach_colorspace_property" },
	{ 0xd8e21475, "drm_atomic_get_plane_state" },
	{ 0xdad10694, "drm_helper_probe_single_connector_modes" },
	{ 0xde6eec5b, "__auxiliary_device_add" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0xc7a7b079, "drm_edp_backlight_init" },
	{ 0xca9360b5, "rb_next" },
	{ 0x22394afb, "__free_pages" },
	{ 0xd4e7c16b, "drm_scdc_read" },
	{ 0xf81b32e3, "drm_lspcon_get_mode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2769da52, "ttm_bo_eviction_valuable" },
	{ 0x924190fe, "__devm_drm_dev_alloc" },
	{ 0xf74b45fa, "pci_write_config_word" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0xca4b3bc8, "debugfs_attr_read" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb30c3c5a, "drm_dp_aux_register" },
	{ 0x3e48fa6b, "dma_fence_init" },
	{ 0xfb74d238, "dma_fence_enable_sw_signaling" },
	{ 0x63d0e19b, "drm_atomic_add_affected_planes" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xcdb82292, "kernel_param_lock" },
	{ 0x3da171f9, "pci_mem_start" },
	{ 0x791891c3, "drm_syncobj_find" },
	{ 0xa322a39, "drm_scdc_set_scrambling" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xef2a95dd, "drm_edp_backlight_enable" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x68f0c8ae, "drm_crtc_add_crc_entry" },
	{ 0xffed0bfc, "drm_gem_prime_mmap" },
	{ 0xa487662c, "drm_fb_helper_damage_range" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x72be110f, "_atomic_dec_and_lock_irqsave" },
	{ 0xeb865d7a, "drm_modeset_drop_locks" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x23328f35, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0xe039f224, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x64aa026d, "drm_fb_helper_check_var" },
	{ 0x8329c21e, "drm_framebuffer_cleanup" },
	{ 0x6ac8b47c, "drm_dp_dpcd_read_link_status" },
	{ 0x7a2048b6, "drm_color_lut_check" },
	{ 0x31069ffc, "relay_close" },
	{ 0x52145ee7, "drm_edid_connector_update" },
	{ 0xf8acf54e, "__srcu_read_unlock" },
	{ 0x148653, "vsnprintf" },
	{ 0x833af44c, "__folio_put" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0x6e02adb8, "gpiod_put" },
	{ 0x5069cade, "__pm_runtime_suspend" },
	{ 0xd0d09595, "drm_atomic_get_crtc_state" },
	{ 0x367060c4, "drm_syncobj_replace_fence" },
	{ 0x5865d537, "drm_modeset_backoff" },
	{ 0x96be13af, "kobject_init_and_add" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x51c96b9e, "drm_poll" },
	{ 0xece784c2, "rb_first" },
	{ 0x37fc58c8, "dma_alloc_attrs" },
	{ 0x3122d3d, "drmm_mode_config_init" },
	{ 0x82427138, "devm_pinctrl_put" },
	{ 0x4350be46, "apply_to_page_range" },
	{ 0x1a48f4b6, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9a2fbb2b, "drm_atomic_set_mode_for_crtc" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x7895f596, "drm_kms_helper_poll_init" },
	{ 0x249dd38b, "drm_crtc_vblank_restore" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd8523d44, "radix_tree_lookup" },
	{ 0xd95428f, "dma_buf_attach" },
	{ 0x131bff07, "pci_write_config_dword" },
	{ 0x3d6fcd6e, "drm_dp_get_vc_payload_bw" },
	{ 0x55c7de95, "mipi_dsi_dcs_write" },
	{ 0x95b109bb, "unmap_mapping_range" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xa8d42b28, "drm_dp_read_desc" },
	{ 0x5ff50f38, "drm_property_create_range" },
	{ 0x4a071118, "shmem_truncate_range" },
	{ 0xc2fcf462, "drm_dp_dual_mode_detect" },
	{ 0x7be18aa1, "hardirqs_enabled" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x72ad23c0, "vga_put" },
	{ 0x5440196b, "drm_framebuffer_init" },
	{ 0xe9fe0589, "cfb_copyarea" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd23c923a, "cfb_fillrect" },
	{ 0xa1655192, "xa_load" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0xacbe05b4, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0x1366fe77, "release_resource" },
	{ 0xdf3f760d, "drm_mm_scan_color_evict" },
	{ 0xc892a2fd, "ttm_resource_fini" },
	{ 0x13ac42f3, "drm_dp_pcon_hdmi_link_active" },
	{ 0x9809a36, "drm_mode_crtc_set_gamma_size" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xfc406a76, "drm_dp_mst_dump_topology" },
	{ 0xfa157def, "drm_atomic_state_default_release" },
	{ 0xb29cd39a, "drm_vma_offset_remove" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82226c53, "pinctrl_unregister_mappings" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xc0d3e37a, "atomic_notifier_call_chain" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x4f997222, "perf_event_sysfs_show" },
	{ 0xffcd7f49, "iosf_mbi_punit_acquire" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa7e7cd1d, "dma_buf_detach" },
	{ 0xab2be0b, "param_ops_charp" },
	{ 0xfaf0674d, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0x7346a21, "seq_putc" },
	{ 0x9bb3a510, "debugfs_attr_write" },
	{ 0x57d83aff, "irq_work_queue" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x17b264c4, "drm_atomic_helper_damage_merged" },
	{ 0x6aaf6d91, "drm_dp_pcon_is_frl_ready" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xa42358a3, "drm_edid_connector_add_modes" },
	{ 0x28779e52, "drm_printf" },
	{ 0xa20bc859, "pci_release_resource" },
	{ 0x56c2aee0, "drm_mode_config_cleanup" },
	{ 0xc4f1b131, "drm_fb_helper_setcmap" },
	{ 0xdfb2a483, "__pm_runtime_idle" },
	{ 0x1057a279, "bsearch" },
	{ 0xb8c2166b, "drm_property_add_enum" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa04f7db6, "refcount_dec_and_lock" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0xc8fb4761, "pci_disable_msi" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x99ba2a12, "drm_atomic_helper_cleanup_planes" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xd30f866b, "sysfs_create_group" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0xd852d473, "ttm_tt_init" },
	{ 0x6b00bec1, "pci_disable_device" },
	{ 0x59c6cccf, "drm_atomic_state_clear" },
	{ 0x48f58e7c, "dma_resv_reset_max_fences" },
	{ 0x229d1f6c, "pcibios_align_resource" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x999e8297, "vfree" },
	{ 0x3935de77, "drm_crtc_set_max_vblank_count" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x87706d4e, "__put_user_nocheck_8" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf8fedff0, "put_pid" },
	{ 0x89f08638, "drm_property_create_enum" },
	{ 0xaa98283a, "dump_mm" },
	{ 0x855616a4, "drm_crtc_wait_one_vblank" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0x3ffd15a3, "drm_plane_create_scaling_filter_property" },
	{ 0x288e415e, "drm_fb_helper_fill_info" },
	{ 0x7a26838b, "drm_compat_ioctl" },
	{ 0xe61232b9, "pci_resize_resource" },
	{ 0xdf14e90d, "anon_inode_getfile" },
	{ 0x23961837, "drm_dp_downstream_max_bpc" },
	{ 0xbea1e421, "drm_vma_offset_lookup_locked" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0xd89070b5, "ttm_bo_put" },
	{ 0x60b26fc5, "drm_syncobj_add_point" },
	{ 0xe35345ae, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb86117b7, "drm_atomic_state_default_clear" },
	{ 0x3fed65e7, "pagecache_get_page" },
	{ 0x227a084f, "drm_noop" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0x6a0de2c4, "drm_fb_helper_unprepare" },
	{ 0x2ebb2f5f, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xa5bc9f5b, "bpf_trace_run5" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb13a2011, "relay_flush" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0x7e0f2b40, "drm_dp_pcon_frl_configure_1" },
	{ 0xe5fd6363, "dma_map_sgtable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x266a4b08, "tasklet_unlock" },
	{ 0x4d9427bd, "drm_dp_mst_atomic_check" },
	{ 0x67aff497, "dma_fence_free" },
	{ 0xe8c86f81, "bpf_trace_run1" },
	{ 0x9ea2bcb, "backlight_device_register" },
	{ 0xb12056c4, "__tracepoint_dma_fence_signaled" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xe279e2a2, "drm_prime_gem_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x860715f, "dma_max_mapping_size" },
	{ 0xf3e07146, "drm_dp_dpcd_probe" },
	{ 0xc07504e8, "reservation_ww_class" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x722bb537, "hrtimer_forward" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x51ab1fe4, "pci_enable_msi" },
	{ 0x612a4748, "cfb_imageblit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc26ab75c, "drm_dev_unplug" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5679a045, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x69e1bf40, "drm_clflush_sg" },
	{ 0xb57e4a67, "__page_table_check_ptes_set" },
	{ 0xf697d801, "mipi_dsi_dcs_write_buffer" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x67831bf7, "pci_map_rom" },
	{ 0xe40976c0, "pnp_range_reserved" },
	{ 0xfcc978b5, "shmem_read_folio_gfp" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x61932807, "dma_resv_get_singleton" },
	{ 0xdb1d8575, "mmu_interval_read_begin" },
	{ 0xb008840b, "sysfs_create_file_ns" },
	{ 0xd3cca93e, "drm_hdcp_update_content_protection" },
	{ 0x90f2076b, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xaf3548c4, "drm_property_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x316b5f5e, "drm_vblank_init" },
	{ 0xd718db62, "dma_set_coherent_mask" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xc617f82c, "unregister_oom_notifier" },
	{ 0x53df7429, "finish_wait" },
	{ 0x467c7a1c, "drm_dp_mst_edid_read" },
	{ 0x3fcdc60a, "auxiliary_device_init" },
	{ 0x389ce97, "drm_dp_cec_register_connector" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0xf726c70e, "devm_gpiod_get_index" },
	{ 0xa7f46eb3, "ttm_tt_populate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x347ad127, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xca3c727c, "relay_buf_full" },
	{ 0x3694ec09, "pm_runtime_set_autosuspend_delay" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x63b2a949, "pci_bus_read_config_word" },
	{ 0x321412d6, "dma_resv_init" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x22ed21b3, "drm_atomic_helper_setup_commit" },
	{ 0x6891b10b, "drm_plane_cleanup" },
	{ 0x38662451, "devm_hwmon_device_register_with_info" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x701c6678, "__pci_register_driver" },
	{ 0x4af0225d, "radix_tree_insert" },
	{ 0x54faeb0d, "drm_connector_set_vrr_capable_property" },
	{ 0x58ad668f, "device_create_bin_file" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x95153ed7, "cpufreq_cpu_put" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x18f0884f, "drm_av_sync_delay" },
	{ 0x1e892c7d, "mipi_dsi_compression_mode" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb95990f8, "sysfs_remove_group" },
	{ 0x441667ef, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x141f38bf, "ktime_get_raw_fast_ns" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0x70dfd6a1, "drm_dp_mst_atomic_setup_commit" },
	{ 0x622c7922, "register_oom_notifier" },
	{ 0xf1305c15, "ww_mutex_lock" },
	{ 0x8e08bf0a, "simple_attr_release" },
	{ 0xe07ef363, "intel_gmch_gtt_insert_sg_entries" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8a3c579a, "drm_dp_read_downstream_info" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x221972e3, "drm_dp_pcon_hdmi_link_mode" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0x4b685411, "kobject_put" },
	{ 0xed07a439, "gpiod_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x4bd35fe9, "drm_atomic_helper_disable_all" },
	{ 0x6b19e007, "drm_encoder_init" },
	{ 0x38e2b980, "seq_read" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0xabb5a026, "drm_buddy_block_trim" },
	{ 0xe054c566, "drm_connector_attach_content_protection_property" },
	{ 0x89458a3c, "ttm_bo_vm_reserve" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0xe4379e61, "drm_connector_init_with_ddc" },
	{ 0xae0ee093, "drm_dp_mst_get_port_malloc" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe57c4fb8, "kobject_uevent_env" },
	{ 0x40dc69ad, "drm_dp_dual_mode_set_tmds_output" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x35fd368c, "ttm_bo_validate" },
	{ 0x8a0f6ec0, "__drm_atomic_helper_crtc_state_reset" },
	{ 0x606d8142, "up_write" },
	{ 0x84c83bae, "mmu_interval_notifier_insert" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x60a7f135, "drm_framebuffer_remove" },
	{ 0x26aa300c, "i2c_del_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x56c8f5f4, "__drm_dev_dbg" },
	{ 0x10eef19e, "drm_helper_mode_fill_fb_struct" },
	{ 0x47f90d2a, "drm_atomic_helper_swap_state" },
	{ 0x438778c, "drm_vblank_work_init" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xdaf2b9c2, "platform_device_register_full" },
	{ 0xf47ee26, "sysfs_create_link" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbfca9234, "drm_fb_helper_initial_config" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4bc128e7, "__drm_atomic_helper_connector_reset" },
	{ 0x89b2e79d, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x8c2def9, "drm_dev_put" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x61524528, "drm_calc_timestamping_constants" },
	{ 0xde76dfbd, "srcu_check_nmi_safety" },
	{ 0x10b076fd, "drm_crtc_vblank_on" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x59559600, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0x50b3b9bc, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x8c5f84b5, "drm_connector_cleanup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7a91ea9, "vga_switcheroo_unregister_client" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x83bd49fe, "drm_crtc_from_index" },
	{ 0x2117040a, "sysfs_remove_bin_file" },
	{ 0x94961283, "vunmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x44cd9d3, "drm_dp_set_subconnector_property" },
	{ 0x651a4139, "test_taint" },
	{ 0xa72f765, "drm_clflush_virt_range" },
	{ 0x6d630210, "drm_kms_helper_poll_fini" },
	{ 0xcc97fb, "down_write_killable" },
	{ 0x77bc13a0, "strim" },
	{ 0x754d539c, "strlen" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xff202e1a, "alloc_pages" },
	{ 0xec0a1120, "hdmi_infoframe_log" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd8bf65ef, "drm_atomic_helper_update_plane" },
	{ 0xb2d02e41, "drm_modeset_unlock" },
	{ 0xfa39d5ed, "relay_file_operations" },
	{ 0x58abad4b, "drm_dp_read_sink_count" },
	{ 0x307cb3c, "dma_fence_default_wait" },
	{ 0xe0599ed3, "drm_kms_helper_hotplug_event" },
	{ 0x40dbbb06, "drm_any_plane_has_format" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x2f5ed11f, "drm_mode_config_reset" },
	{ 0x5e23e04e, "__SCK__tp_func_dma_fence_signaled" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0x4681e56d, "check_move_unevictable_folios" },
	{ 0x8a3bd62d, "fb_io_write" },
	{ 0x5f58314b, "ttm_bo_move_accel_cleanup" },
	{ 0xbe02b0c8, "drm_fb_helper_blank" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdd4cde69, "drm_release_noglobal" },
	{ 0x8bf3845b, "i2c_transfer" },
	{ 0x93c9686c, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x3aef7d31, "pci_enable_device" },
	{ 0xf5e0a2e1, "drm_atomic_set_fb_for_plane" },
	{ 0x793b9422, "pm_runtime_no_callbacks" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe31b9301, "intel_gmch_gtt_flush" },
	{ 0xab010a5e, "platform_device_unregister" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xecc4f521, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef23dad7, "drm_dp_send_power_updown_phy" },
	{ 0x8f95d9db, "drm_kms_helper_poll_enable" },
	{ 0x6ccbab77, "drm_crtc_vblank_reset" },
	{ 0xc917307, "drm_dp_mst_root_conn_atomic_check" },
	{ 0xdfa455c7, "vga_get" },
	{ 0xf11d59a1, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x50a1fd38, "drm_connector_init" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0xb19b445, "ioread8" },
	{ 0x3da36bee, "drm_dp_add_payload_part1" },
	{ 0xd8f3538f, "cpu_latency_qos_update_request" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11c120ac, "fput" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x67398c97, "drm_connector_list_iter_begin" },
	{ 0x2e224c77, "drm_mode_create_dp_colorspace_property" },
	{ 0xa94afc36, "drm_dp_mst_topology_mgr_resume" },
	{ 0x77da9384, "drm_is_current_master" },
	{ 0xb33c61f9, "drm_dp_downstream_debug" },
	{ 0x9db744db, "sync_file_get_fence" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xe3ac15d5, "drm_mode_is_420_only" },
	{ 0x684dd049, "drm_fb_helper_damage_area" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2f88a409, "drm_helper_move_panel_connectors_to_head" },
	{ 0xa40848d6, "__pm_runtime_use_autosuspend" },
	{ 0x87582608, "mipi_dsi_dcs_nop" },
	{ 0x7e5344ab, "drm_edp_backlight_set_level" },
	{ 0x3937c7f, "drm_dp_set_phy_test_pattern" },
	{ 0xa46f0ce7, "__mmap_lock_do_trace_released" },
	{ 0x7d6a34db, "sysfs_remove_link" },
	{ 0x91497c4b, "drm_connector_set_link_status_property" },
	{ 0x46bdf8e5, "drm_crtc_cleanup" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc624b289, "debug_check_no_locks_freed" },
	{ 0xa8de348f, "drm_edid_read_ddc" },
	{ 0x7c3fdc69, "dma_resv_fini" },
	{ 0x36f99430, "pinctrl_select_state" },
	{ 0xc89cc74c, "refcount_dec_and_lock_irqsave" },
	{ 0x965387f1, "dma_fence_array_create" },
	{ 0xd0814a36, "ttm_pool_alloc" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3e40090a, "radix_tree_next_chunk" },
	{ 0x6a1c1989, "drm_plane_create_zpos_immutable_property" },
	{ 0xec922935, "vmap" },
	{ 0x4a3b412f, "drm_fb_helper_set_par" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xd02cfb3d, "drm_mode_destroy" },
	{ 0x3b441b6f, "drm_fb_helper_set_suspend" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xe7c213f1, "pm_runtime_get_if_active" },
	{ 0x865a486b, "drm_crtc_vblank_put" },
	{ 0xbb8e169a, "vga_switcheroo_handler_flags" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xfca81f0a, "drm_dp_read_clock_recovery_delay" },
	{ 0x32a15412, "seq_puts" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xb3f4e381, "drm_ioctl" },
	{ 0x32fc0727, "handle_simple_irq" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3266f04a, "simple_attr_write" },
	{ 0x6cbcc12c, "drm_mode_duplicate" },
	{ 0x652082a3, "drm_modeset_lock_single_interruptible" },
	{ 0xec79280, "drm_plane_create_alpha_property" },
	{ 0x542ff414, "init_uts_ns" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x39e1b245, "drm_ioctl_kernel" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x13867925, "ttm_bo_unmap_virtual" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{  0x47a39, "simple_open" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x98a4e7f, "drm_object_attach_property" },
	{ 0xabfdf129, "device_link_remove" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x2260de85, "lock_pin_lock" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_display_helper,ttm,i2c-core,video,drm_buddy,backlight,i2c-algo-bit,cec");

MODULE_ALIAS("pci:v00008086d00003577sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002562sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000358Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002572sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000258Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002592sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002772sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027AEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002972sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002982sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002992sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A001sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A011sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000042sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000046sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000102sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000010Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000112sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000122sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000106sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000116sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000126sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv0000152Dsd00008990bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000156sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000166sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000152sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000015Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000162sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000402sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000406sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000412sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000416sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000422sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000426sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F30sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F31sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F33sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001606sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001602sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001616sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001612sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001622sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001636sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001632sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001932sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003184sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003185sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000593Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E93sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E99sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E91sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E96sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E98sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E94sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA7sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087CAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BE6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BF6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B21sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BAAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A50sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A52sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A53sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A54sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A56sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A58sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004541sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004551sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004555sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004557sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004570sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004571sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E61sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "DBF1D4F82F20C3BA104AA3B");
