#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x8f822fa3, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xac70995c, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x21819643, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x481763b0, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x7c5ae8d6, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x421303d3, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xaeaa32b9, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x58c42a78, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xa9ed84af, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x2a44a26b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x9aeea34f, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x270fccfe, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x836f0bbf, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xe14de197, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xd92da9fd, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x38e44840, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xd2c19c49, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x60e1b60c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xca5f92f3, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x2d22b760, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xbe0010d3, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x30abf3bd, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x7eb328a4, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x6a54ad1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1b6832f5, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xbfb73606, "pci_find_ext_capability" },
	{ 0x3aef7d31, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x701c6678, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8fb4761, "pci_disable_msi" },
	{ 0xe2c3760d, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xc839ba17, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1759f214, "pm_schedule_suspend" },
	{ 0xac08d5bd, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x51ab1fe4, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbce29344, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe5de02d2, "pcie_capability_clear_and_set_word_locked" },
	{ 0x37fc58c8, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1d29fb4b, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x47a938f6, "pm_runtime_forbid" },
	{ 0xa0993ae, "dma_free_attrs" },
	{ 0xb2969146, "pm_runtime_allow" },
	{ 0x3a5fa4c4, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdb0834aa, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3be5af77, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6b00bec1, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb8c091cf, "mfd_remove_devices" },
	{ 0xd8e0abe2, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xc6ed27c8, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xdfb2a483, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x131bff07, "pci_write_config_dword" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x84397678, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");
