#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0xc95dce5f, "");
SYMBOL_CRC(mmc_request_done, 0x058b7910, "");
SYMBOL_CRC(mmc_start_request, 0x716eec9d, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0xb0ac2fd5, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xec695492, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x4513b810, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xb2534fb0, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x57051f1d, "");
SYMBOL_CRC(mmc_is_req_done, 0x7a6bb150, "");
SYMBOL_CRC(mmc_wait_for_req, 0xadf37987, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x22713e20, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xb38d9d77, "");
SYMBOL_CRC(__mmc_claim_host, 0xcbc2fc3a, "");
SYMBOL_CRC(mmc_release_host, 0xad82c8c5, "");
SYMBOL_CRC(mmc_get_card, 0x7316c083, "");
SYMBOL_CRC(mmc_put_card, 0x0fc26166, "");
SYMBOL_CRC(mmc_detect_change, 0x319a5193, "");
SYMBOL_CRC(mmc_erase, 0x22688385, "");
SYMBOL_CRC(mmc_can_erase, 0x0c2bf79d, "");
SYMBOL_CRC(mmc_can_trim, 0xd3ab68aa, "");
SYMBOL_CRC(mmc_can_discard, 0x32e1cc5a, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x451d285e, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x5a699ca3, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x45b108f4, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x9e8e08c6, "");
SYMBOL_CRC(mmc_set_blocklen, 0x77ee0df9, "");
SYMBOL_CRC(mmc_hw_reset, 0x27365abb, "");
SYMBOL_CRC(mmc_sw_reset, 0x142358b6, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xaa18721c, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x6d59de5c, "");
SYMBOL_CRC(mmc_register_driver, 0x3fc5f24d, "");
SYMBOL_CRC(mmc_unregister_driver, 0x7dc06594, "");
SYMBOL_CRC(mmc_retune_pause, 0x891af1fc, "");
SYMBOL_CRC(mmc_retune_unpause, 0xb6b39f45, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x25819da7, "");
SYMBOL_CRC(mmc_retune_release, 0x403fe62b, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x57f8b046, "");
SYMBOL_CRC(mmc_of_parse, 0xa1924590, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x7deb3cba, "");
SYMBOL_CRC(mmc_alloc_host, 0x7cda8451, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xdac93541, "");
SYMBOL_CRC(mmc_add_host, 0x236d5b92, "");
SYMBOL_CRC(mmc_remove_host, 0x624853b7, "");
SYMBOL_CRC(mmc_free_host, 0x67977639, "");
SYMBOL_CRC(__mmc_send_status, 0x0038df40, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xc53b0389, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x790a1d0a, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0xbc01c540, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x5db36c98, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x0b7fdd1d, "_gpl");
SYMBOL_CRC(mmc_switch, 0x3ad116ef, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x7d235f35, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xf8d88fc7, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x1361e6fd, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x632993ac, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x8d958e25, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x4d018e11, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xd782fabc, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x2b02aa73, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x49e035da, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xa630bd5a, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x6549b58d, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xe9f19f2c, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x62a4bf0a, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xe74f82a8, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x406bb6f3, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xd9927756, "_gpl");
SYMBOL_CRC(sdio_readb, 0xbbbcc848, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x6a355281, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xc7d2bed2, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x77346c8f, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x4f17dd48, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x787acd0d, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x3f1fb039, "_gpl");
SYMBOL_CRC(sdio_readw, 0xec77e86f, "_gpl");
SYMBOL_CRC(sdio_writew, 0x0441ef37, "_gpl");
SYMBOL_CRC(sdio_readl, 0x62d5b298, "_gpl");
SYMBOL_CRC(sdio_writel, 0x38387e20, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x75462ef5, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x1b92a5db, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0xd97f516c, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x53741e0f, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x0a824271, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x7f0b4d76, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xe0c1fd8c, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x9bd7a27e, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x544781a7, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x0a1c88bb, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x7be81127, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xaa873fa3, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xef768eee, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x7dbc5d94, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x22be33ff, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xb0500502, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xf8a4e6e4, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x8a63b144, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xd6bf1388, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xbacadcdf, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x6d915e18, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x7bdbe6e8, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x8475fa39, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xf7e8322c, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0xe279fa71, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x5a1da91a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf7901771, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xefbd8f59, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xff0b90ac, "completion_done" },
	{ 0x79130768, "device_property_present" },
	{ 0x5acd2bb, "wakeup_source_register" },
	{ 0xccde0fbb, "is_acpi_device_node" },
	{ 0xa3767e6e, "simple_attr_open" },
	{ 0xf9ed3ed2, "devm_request_threaded_irq" },
	{ 0x9bb3a510, "debugfs_attr_write" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x5c23b241, "led_trigger_register_simple" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x492c5687, "device_initialize" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0x10a1d331, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x863d9939, "seq_lseek" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x42af9df3, "gpiod_toggle_active_low" },
	{ 0x3dcdba45, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0x41ff365, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xef7a1aeb, "led_trigger_unregister_simple" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0xce47298d, "sched_set_fifo_low" },
	{ 0xac8714bb, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0291d86, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xd52d0c02, "pm_generic_runtime_resume" },
	{ 0x88377c06, "pm_generic_resume" },
	{ 0xb67d0bdb, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf5d3860d, "__pm_runtime_set_status" },
	{ 0xc9c1014b, "pm_wakeup_ws_event" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x915555df, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0x30d958ea, "pm_runtime_enable" },
	{ 0xf9a123ed, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xe2dbf5ad, "gpiod_set_debounce" },
	{ 0xa9355305, "dev_pm_domain_detach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x2af8ef47, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2dc8312e, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xca4b3bc8, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0x67dc2dcc, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x41287caf, "debugfs_create_file_unsafe" },
	{ 0x51782b62, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8e08bf0a, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x3c453401, "wakeup_source_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfc025aba, "__devres_alloc_node" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xadd883cf, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf726c70e, "devm_gpiod_get_index" },
	{ 0x60dc9c2e, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x254954b, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x61120c17, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xea3109ce, "regulator_count_voltages" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xada4260d, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x1629b0bf, "regulator_is_supported_voltage" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0xa9f99b5b, "devm_kasprintf" },
	{ 0x38e2b980, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f6b6665, "gpiod_cansleep" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x82fbc669, "gpiod_is_active_low" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0x3a5fa4c4, "__pm_runtime_resume" },
	{ 0x86ed3076, "debugfs_create_x32" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xf12b9d8e, "single_release" },
	{ 0x80f9fde5, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x5069cade, "__pm_runtime_suspend" },
	{ 0xb3513509, "set_primary_fwnode" },
	{ 0x9b7b9fe8, "led_trigger_event" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x55250af5, "gpiod_set_consumer_name" },
	{ 0x84523b46, "__pm_runtime_disable" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0x83b8a829, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf68ba70b, "driver_register" },
	{ 0x6dea71f8, "class_register" },
	{ 0xdfb2a483, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe9443ae7, "__dev_fwnode" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa76264cb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2D178C639BD82D1BA59545");
