#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x3489fa65, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x7e608945, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x70c135cb, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x3fad6e5f, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xab894372, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x434f9703, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xdba4dcd6, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x339bb713, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x53cc7ea3, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xcf7aa970, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xf8cfe6e7, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xcfd804ac, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xca0e9569, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xfb7c209a, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x0c729661, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x480260d5, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x488cb922, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x9806a851, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x6d251600, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x5e002649, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x193f8f24, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x1169eeb4, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x1421003d, "");
SYMBOL_CRC(fcoe_transport_detach, 0x83a50147, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xd0d13a07, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xa65dc03d, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x3e1979b4, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x1bca5326, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47690d60, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdec148a, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0xd0a014d6, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0x640fb13a, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9b9ddee9, "dump_page" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe0f3c7eb, "device_unregister" },
	{ 0x8333cafe, "skb_dequeue" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe49ca6d4, "fc_rport_logoff" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xc9daf62f, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x284893e, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38f20910, "fc_rport_login" },
	{ 0x803e2798, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x32463b87, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0x37326af0, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xba9ed090, "fc_lport_reset" },
	{ 0x67dc2dcc, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x93a3d75a, "init_net" },
	{ 0xa3270778, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x83049c67, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8f09a95d, "fc_lport_set_local_id" },
	{ 0xba744bca, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xa6964d30, "__ethtool_get_link_ksettings" },
	{ 0x12e48e17, "device_register" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x35989e58, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x88991ead, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xab406273, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0xffc3fd53, "fc_fcp_init" },
	{ 0xe35c51f1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b62d51a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x666fa10c, "__dev_queue_xmit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xff202e1a, "alloc_pages" },
	{ 0x833af44c, "__folio_put" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe6174db4, "dev_get_by_name" },
	{ 0x1c501927, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xfe8ae214, "fc_seq_els_rsp_send" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x210de4a5, "fc_rport_create" },
	{ 0x83e23510, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x5826b920, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa76264cb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x538f81a4, "fc_linkup" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
