#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x9ba7e3b0, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x87e66a13, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xcb655cbb, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x1f2d2cf9, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xc47360c5, "_gpl");
SYMBOL_CRC(lockd_up, 0x631a1d1a, "_gpl");
SYMBOL_CRC(lockd_down, 0x929bb42c, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xa94bc0aa, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2994702e, "rpc_put_task" },
	{ 0xd4314407, "svc_generic_rpcbind_set" },
	{ 0x35444fa6, "svc_wake_up" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60cc2c4d, "rpc_shutdown_client" },
	{ 0xafd2a6fd, "svc_bind" },
	{ 0x9418bff2, "proc_create" },
	{ 0xd414b133, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89523ce0, "xdr_inline_decode" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e6bde8e, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4e55425b, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x6812ea9c, "vfs_test_lock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6d51e1d6, "svc_exit_thread" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9d72903, "param_get_ulong" },
	{ 0x17d9c5e8, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80b6d35, "__put_cred" },
	{ 0x1f0f73e3, "register_pernet_subsys" },
	{ 0x30e43e4b, "locks_in_grace" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90af870, "proc_dobool" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8da00ce2, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xc67ea662, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf54e1a16, "locks_release_private" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbfc3be4e, "locks_init_lock" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x43d9bc4b, "simple_transaction_release" },
	{ 0xa44a19ef, "svc_xprt_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb8b1417b, "svc_age_temp_xprts_now" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x93a3d75a, "init_net" },
	{ 0x606d8142, "up_write" },
	{ 0xdf50129e, "svc_set_num_threads" },
	{ 0xd433431, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb047cbd6, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xbc5eef09, "freezing_slow_path" },
	{ 0xdeb7adab, "rpc_create" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xc9889edf, "svc_destroy" },
	{ 0xdee791e2, "rpc_call_start" },
	{ 0x92ca19f9, "svc_create" },
	{ 0x8aa541fd, "default_llseek" },
	{ 0x8a14f266, "rpc_call_sync" },
	{ 0x543fa1ee, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb199dcfa, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4991b6c7, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xcb18322a, "vfs_lock_file" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa5adf28b, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x483a4673, "svc_generic_init_request" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x74a76053, "down_read" },
	{ 0x5bf94438, "svc_set_client" },
	{ 0xf493c3fe, "xdr_reserve_space" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x3eaf30c3, "rpc_force_rebind" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0xf6e1040, "debug_check_no_locks_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5f474e, "rpc_restart_call" },
	{ 0x1d107217, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x96cc1c4f, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf85bbb69, "svc_find_xprt" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0xa392f975, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x8cebef2f, "locks_delete_block" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xde65b145, "locks_start_grace" },
	{ 0xa04f7db6, "refcount_dec_and_lock" },
	{ 0x28cd2a5a, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x85f58dde, "svc_xprt_create" },
	{ 0x3365240f, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x351c2cbd, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "D8A1BA222D68704FC35B39D");
