#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xfdb9213a, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x0c65674f, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x301a4275, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x84810382, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x4b303dab, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x2f9e6358, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x45398b6f, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x1f9f5e1b, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf4cd2686, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x9cbac34a, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x141fc496, "");
SYMBOL_CRC(register_ip_vs_app, 0xe3878ddc, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x9e8ccd5c, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x54cb451e, "");
SYMBOL_CRC(ip_vs_proto_get, 0xf5bb5018, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xaf995980, "");
SYMBOL_CRC(register_ip_vs_pe, 0x87e24c60, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x481ad140, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xb8da3dc0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe09c085d, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xe0cacc71, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xd2e4ad24, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x23b55fa4, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf7e17cf8, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5bd3cb06, "skb_copy_bits" },
	{ 0xf2d46fbf, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdc019d85, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0x50c333e2, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa0a69c31, "mod_timer_pending" },
	{ 0x4d7d0882, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c099c0c, "nf_register_sockopt" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa9b9ca33, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x53df7429, "finish_wait" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x275094aa, "kernel_bind" },
	{ 0x77dcd15e, "set_user_nice" },
	{ 0xb67b0bf3, "genlmsg_put" },
	{ 0xb5e119b3, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x4f9e0409, "ip6_output" },
	{ 0x4d333807, "ip6_route_me_harder" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7f2744de, "__module_get" },
	{ 0xe321bc, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x161d4360, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x1edfcb4e, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xfb515c4c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1625f61a, "pskb_expand_head" },
	{ 0x1f0f73e3, "register_pernet_subsys" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xfd58a4bb, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xea8b6b6d, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x55f72eb7, "nf_register_net_hooks" },
	{ 0x2ba2ccbd, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x401e74ca, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0x30cec14d, "ipv6_sock_mc_join" },
	{ 0x7dd33334, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5246996b, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1a11345, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x93a3d75a, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaf8593d2, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x194d8347, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xe01847b2, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4b9c13c1, "nf_conntrack_alter_reply" },
	{ 0x1bc0c0b8, "ip_route_me_harder" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x83049c67, "skb_push" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0xce2f261c, "set_cpus_allowed_ptr" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7346a21, "seq_putc" },
	{ 0xd342850f, "nla_put" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0x4ed1dde0, "nf_ct_expect_alloc" },
	{ 0xe8f5ae13, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd466c220, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5fc24a6c, "ip_mc_join_group" },
	{ 0xae74b2a5, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x966b1a7b, "ns_capable" },
	{ 0xddfb3206, "nf_unregister_net_hooks" },
	{ 0x213ec996, "inet_select_addr" },
	{ 0x8b93ce00, "unregister_pernet_device" },
	{ 0x4302a7b1, "lock_sock_nested" },
	{ 0xc2d6f49e, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x254954b, "kthread_stop" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xacc0cb7d, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb199dcfa, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x153d4327, "kernel_connect" },
	{ 0x412e1598, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x49ffdb20, "ip_defrag" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0x665624f3, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b62d51a, "skb_trim" },
	{ 0x8d5becfc, "nf_hook_slow" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x12508f8, "nf_ct_deliver_cached_events" },
	{ 0x3d551bb9, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe6479b3c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc1ae60bc, "__icmp_send" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27c97df9, "ipv4_mtu" },
	{ 0xc94e6f1e, "skb_set_owner_w" },
	{ 0xc458ac40, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x5825cff3, "sock_create_kern" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0xb2b3095f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x96cc1c4f, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x27be5f19, "seq_printf" },
	{ 0x211649ad, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xa5d5de5f, "proc_create_net_single" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9bf1143e, "ipv4_update_pmtu" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfba3ed67, "nf_defrag_ipv6_enable" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf4a16a53, "dst_release" },
	{ 0x6dbd140a, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0x32a15412, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x12ad23cc, "unregister_net_sysctl_table" },
	{ 0x851940fe, "ip_local_out" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x954d4e05, "genl_unregister_family" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x31613619, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x1bb52069, "genl_register_family" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x1b3c4afa, "kernel_sendmsg" },
	{ 0xcafa29e7, "nf_ct_netns_put" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x25056119, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0x72731412, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "82E1E356740C165D1B4CBA5");
